2014-04-25  Murray Cumming  <murrayc@murrayc.com>

	Value: Add missing create_as_int64/uint64() implementations.

2014-04-25  Murray Cumming  <murrayc@murrayc.com>

	Value: Add create_as_float/double() and set_float/double().

	Deprecating the ambiguous constructors and set() methods.

2013-09-13  Murray Cumming  <murrayc@murrayc.com>

	Do not bother breaking the build for missing GdaDataModelDBD

	* tools/extra_defs_gen/generate_def_gda.cc: Because we do not
	use it anyway.

2013-07-03  José Alburquerque  <jaalburquerque@gmail.com>

	Move to a generated ChangeLog.

2013-07-02  José Alburquerque  <jaalburquerque@gmail.com>

	Auto-generate the ChangeLog from the git log for 'make dist'.

	* Makefile.am: Include the dist-changelog.am file copied in build/
	from mm-common so that the ChangeLog is automatically generated from
	the git commit messages on 'make dist'.

2013-04-24  Murray Cumming  <murrayc@murrayc.com>

	4.99.7

2012-01-06  Murray Cumming  <murrayc@murrayc.com>

	value.h: Remove a duplicate C typedef.

	* libgda/libgdamm/value.h: The second GeometricPoint typedef is
	a duplicate.

2011-11-20  Murray Cumming  <murrayc@murrayc.com>

	4.99.6

2011-11-11  Murray Cumming  <murrayc@murrayc.com>

	Wrap GdaNumeric as Gnome::Gda::Numeric.

	* libgda/src/libgda_methods.defs: Regenerated with h2defs.py.
	* libgda/src/numeric.[hg|cc]: Wrap GdaNumeric, now that it is a proper
	boxed type with an API.
	* libgda/libgdamm/value.[h|cc]: Use Numeric instead of GdaNumeric in
	the API.

2011-11-10  Murray Cumming  <murrayc@murrayc.com>

	Add Connection::create_from_string().

	* libgda/src/libgda_methods.defs: Regenerated with h2defs.py.
	* libgda/src/connection.hg: Added create_from_string() which allows
	us to create a Connection which is not yet opened.

2011-11-07  Murray Cumming  <murrayc@murrayc.com>

	4.99.5

2011-10-26  Murray Cumming  <murrayc@murrayc.com>

	Fix the --enable-warnings=fatal build.

	* libgda/libgdamm/init.cc: Do not include glibmm.h. It is not necessary.

2011-10-25  Murray Cumming  <murrayc@murrayc.com>

	init.h: Move the glibmm.h include to the .cc file.

	* libgda/libgdamm/init.[h|cc]: The glibmm.h include does not need to be in
	the header.

2011-10-25  Murray Cumming  <murrayc@murrayc.com>

	Add #includes needed with the latest glibmm.

	* libgda/libgdamm/value.cc:
	* libgda/libgdamm/value.h:
	* libgda/src/blobop.hg:
	* libgda/src/holder.hg:
	* libgda/src/metastruct.hg:
	* libgda/src/quarklist.hg:
	* libgda/src/serveroperation.hg:
	* libgda/src/sqlexpr.hg:
	* libgda/src/sqlstatement.hg: Add individual includes now that gmmproc does not
	add #include glibmm.h at the top of every generated header.

2011-10-20  David King  <davidk@openismus.com>

	Bump the libgda-5.0 requrement to 4.99.5

	Libgda 4.99.5 adds error-reporting APIs to GdaRow and GdaHolder, which
	are used in libgdamm.

2011-10-19  Murray Cumming  <murrayc@murrayc.com>

	m4 conversions: Fixed an incorrect quote, found by José Alburquerque.

	* tools/m4/convert_libgdamm.m4: See bug #661401

2011-10-10  Murray Cumming  <murrayc@murrayc.com>

	Regenerated enums.

	* libgda/src/libgda_enums.defs: Regenerated with enums.pl. There are
	some new error codes.

2011-10-10  Murray Cumming  <murrayc@murrayc.com>

	DataModelIter::get_value_at(): Throw an exception sometimes.

	* libgda/src/libgda_methods.defs: Regenerated with h2defs.py.
	* libgda/src/datamodeliter.hg: Use the new
	gda_data_model_iter_get_value_at_e() instead of
	gda_data_model_iter_get_value_at(). Presumably this lets us catch more
	problems.
	* libgda/src/holder.hg:
	* libgda/src/row.hg: Ignore some other new methods, with comments.

2011-10-09  Murray Cumming  <murrayc@murrayc.com>

	4.99.4.1

2011-09-21  Murray Cumming  <murrayc@murrayc.com>

	Fix the ChangeLog

2011-09-21  Murray Cumming  <murrayc@murrayc.com>

	ServerProvider: Added supports_operation() method overloads.

	* libgda/src/serverprovider.[hg|ccg]: Because some parameters may be NULL.

2011-09-21  Murray Cumming  <murrayc@murrayc.com>

	Connection: Add statement_to_sql() method overloads.

	* libgda/src/connection.[hg|ccg]: Because some parameters can be NULL.

2011-09-21  Murray Cumming  <murrayc@murrayc.com>

	4.99.4

2011-09-21  Murray Cumming  <murrayc@murrayc.com>

	Minor documentation improvements.

	* libgda/src/metastore.hg:
	* libgda/src/quarklist.hg:
	* libgda/src/statement.hg: Minor documentation improvements and TODO
	comments.

2011-09-21  Murray Cumming  <murrayc@murrayc.com>

	Value: operator=(): Check for identical instance.

	* libgda/libgdamm/value.cc: This is generally a good idea in operator=()
	implementations.

2011-09-21  Murray Cumming  <murrayc@murrayc.com>

	Value::set_binary(): reinit the type.

	* libgda/libgdamm/value.cc: Call value_reinit(), as we do in other set()
	methods.

2011-09-20  Murray Cumming  <murrayc@murrayc.com>

	Value: operator=(): Check for the identical underlying GValue.

	* libgda/libgdamm/value.cc: Otherwise we unset the gobject, which
	unsets the src, because it is the same gobject, and then we reject that
	src as invalid.

2011-07-07  Murray Cumming  <murrayc@murrayc.com>

	4.99.3.1

2011-07-07  Murray Cumming  <murrayc@murrayc.com>

	Corrected the ChangeLog

2011-07-04  Murray Cumming  <murrayc@murrayc.com>

	Add SQL_OPERATOR_TYPE_ILIKE.

	This requires libgda from git master.

2011-06-21  Murray Cumming  <murrayc@murrayc.com>

	4.99.3

2011-06-16  Murray Cumming  <murrayc@murrayc.com>

	Adapt to null value changes in libgda.

	* libgda/src/libgda_methods.defs: Regenerated.
	* libgda/libgdamm/value.[h|cc]: Value() constructor: Call the new
	gda_value_new_null() because libgda no longer uses gtype=0 (invalid) to mean
	NULL. Addded set_null(), wrapping the new gda_value_set_null() function.

2011-05-24  Olav Vitters  <olav@vitters.nl>

	Use tar-ustar instead of tar-pax to ensure OpenBSD compatibility

2011-03-30  Murray Cumming  <murrayc@murrayc.com>

	Adjust the compiler warning flags used with --enable-warnings=fatal.

	* configure.ac: Ignore warnings about long long, to fix the build with
	g++ 4.5.2. Avoid use of glibmm deprecated API too.

2011-03-30  Murray Cumming  <murrayc@murrayc.com>

	Remove GLIBMM_EXCEPTIONS_ENABLED ifdefs.

	* libgda/src/*.[hg|ccg]: These ifdefs are no longer useful. They were already
	removed from other projects a while ago.

2011-03-30  Murray Cumming  <murrayc@murrayc.com>

	4.99.0.1

2011-03-30  Murray Cumming  <murrayc@murrayc.com>

	Connection: Add new properties.

	* libgda/src/libgda_signals.defs: Regenerated.
	* libgda/src/connection.hg: Added provider, is_wrapper,
	monitor_wrapped_in_mainloop, and events_history_size properties.

2011-03-30  Murray Cumming  <murrayc@murrayc.com>

	Connection: Ignore private functions.

	* libgda/src/connection.hg: These functions are in gda-connection-private.h
	so they are not public API.

2011-03-30  Murray Cumming  <murrayc@murrayc.com>

	Connection: Added *_row_into_table() methods.

	* libgda/src/connection.hg: Added insert_row_into_table(),
	update_row_in_table(), and delete_row_in_table().

2011-03-30  Murray Cumming  <murrayc@murrayc.com>

	Replace a remaining use of ListHandle.

	* libgda/libgdamm/value.h: Remove the ListHandle and SListHandle typedefs.
	* libgda/src/datamodel.hg: get_row_from_values(): Use std::vector
	instead of ListHandle, as already done for other API.

2011-03-30  Murray Cumming  <murrayc@murrayc.com>

	Added some comments

2011-03-30  Murray Cumming  <murrayc@murrayc.com>

	Connection: Add some methods.

	* libgda/src/connection.[hg|ccg]: parse_sql_string(),
	async_statement_execute(), async_fetch_result() and async_cancel().

2011-03-30  Murray Cumming  <murrayc@murrayc.com>

	Avoid a tarball dependency on mm-common.

	* configure.ac: Require the latest version of mm-common.
	Call MM_CONFIG_DOCTOOL_DIR() to createe, use, and dist a local copy of the
	mm-common scripts.

2011-03-29  Murray Cumming  <murrayc@murrayc.com>

	4.99.0

2011-03-29  Murray Cumming  <murrayc@murrayc.com>

	Connection: statement_execute_non_select(): Restore this method.

	* libgda/src/connection.hg: Correct the function name used by
	statement_execute_non_select().

2011-03-29  Murray Cumming  <murrayc@murrayc.com>

	Make the version number more like libgda

2011-03-29  Murray Cumming  <murrayc@murrayc.com>

	Use libgda-5.0.

	* configure.ac: Use libgda-5.0 instead of libgda-4.0.
	* libgda/src/libgda_enums.defs: Regenerated.
	* libgda/src/libgda_methods.defs: Regenerated.
	* libgda/libgdamm/value.[h|cc]: Remove API that uses the list type. It was
	apparently removed from the libgda API.
	* libgda/src/connection.hg: Remove an unused enum.
	* libgda/src/serveroperation.ccg: Adapt to renamed functions.

2011-02-02  Murray Cumming  <murrayc@murrayc.com>

	4.1.2

2011-01-30  Murray Cumming  <murrayc@murrayc.com>

	Use std::vector<> instead of *Handle<> or std::list<>.

	* libgda/src/batch.[hg|ccg]:
	* libgda/src/connection.[hg|ccg]:
	* libgda/src/datacomparator.[hg|ccg]:
	* libgda/src/datamodel.[hg|ccg]:
	* libgda/src/datamodelimport.hg:
	* libgda/src/dataproxy.[hg|ccg]:
	* libgda/src/metastore.hg:
	* libgda/src/serveroperation.hg:
	* libgda/src/set.hg:
	* libgda/src/sqlbuilder.[hg|ccg]:
	* libgda/src/statement.[hg|ccg]:
	* libgda/src/xatransaction.[hg|ccg]:
	* tools/m4/convert_libgdamm.m4: Use the new convention that we have just
	started using in gtkmm 3. libgdamm is API/ABI unstable, so we can still make
	big changes like this.

2010-12-09  Murray Cumming  <murrayc@murrayc.com>

	Adapt to gmmproc m4 changes in glibmm.

	* tools/m4/convert.m4: Include convert_glibmm.m4 instead of convert_gtkmm.m4.
	* tools/m4/convert_libgdamm.m4: Avoid use of the __FR2P macro, which does
	not seem to be defined for some reason.

2010-10-16  Murray Cumming  <murrayc@murrayc.com>

	4.1.1

2010-10-16  Murray Cumming  <murrayc@murrayc.com>

	Small documentation improvements.

	* libgda/src/libgda_docs.xml: Fix a typo that I fixed in libgda too.
	* libgda/src/sqlbuilder.[hg|ccg]: Small docs improvements.
	select_add_target_id(): Use _WRAP_METHOD() for this.
	* libgda/src/sqlexpr.hg: Added some overview documentation.
	* libgda/src/sqlstatement.hg: Added some overview documentation.

2010-10-16  Murray Cumming  <murrayc@murrayc.com>

	Doxyfile.in: Make more like the gtkmm one.

	* docs/reference/Doxyfile.in: Minor unimportant changes, to match gtkmm.

2010-10-16  Murray Cumming  <murrayc@murrayc.com>

	Work around a doxygen crash.

	* libgda/src/sqlparser.hg: Class overview documentation: Instead of
	describing the placeholder syntax, just link to the GdaSqlParser
	documentation. This is unavoidable as there seems to be now way to mention
	/* in a comment. The attempt to use @verbatim@endverbatim to do this does
	not seem to have worked in the past and crashes current versions of doxygen.
	( Doxygen bug https://bugzilla.gnome.org/show_bug.cgi?id=632311 )

2010-10-16  Murray Cumming  <murrayc@murrayc.com>

	Regenerated C documentation.

	* libgda/src/libgda_docs.xml: Regenerated with docextract_to_xml.py.

2010-10-16  Murray Cumming  <murrayc@murrayc.com>

	Added some methods.

	* libgda/src/libgda_methods.defs: Regenerated with h2defs.py.
	* libgda/src/connection.hg: Added quote_sql_identifier().
	* libgda/src/dataselect.hg: Added rerun().
	* libgda/src/metastore.hg: Added set_identifiers_style().
	* libgda/src/sqlstatement.hg: Added string_to_type().
	* libgda/src/sqlbuilder.hg: Added some documentation.
	* tools/m4/convert_libgdamm.m4: Mention a new enum.

2010-08-31  Murray Cumming  <murrayc@murrayc.com>

	Added ConfigError and Config::get_provider().

	* libgda/src/config.[hg|ccg]: Add the ConfigError exception, which is
	also thrown by some Connection methods.
	Add get_provider() and use _WRAP_METHOD() for the existing methods instead
	of hand-coding them.

2010-08-06  Murray Cumming  <murrayc@murrayc.com>

	3.99.21

2010-06-21  Murray Cumming  <murrayc@murrayc.com>

	DataModel: Added the DataModelError exceptions.

	* libgda/src/datamodel.hg: Add this exception that can be thrown by these
	methods.

2010-06-21  Murray Cumming  <murrayc@murrayc.com>

	Fix the examples (check) build.

	* examples/sqlbuilder/main.cc: Adapt to the
	add_field_id()->add_field_value_id() API change.

2010-06-21  Murray Cumming  <murrayc@murrayc.com>

	ServerOperation: set_value_at(): Make this templated.

	* libgda/src/serveroperation.[hg|ccg]: Add set_value_at_as_value() and make
	set_value_at() a templated method, instead of just taking a string.

2010-06-21  Murray Cumming  <murrayc@murrayc.com>

	Add CREATE_USER, ALTER USER and DROP USER server operations.

	* libgda/src/libgda_methods.defs: Regenerate with h2defs.py though the enums
	here are not actually used.
	* libgda/src/libgda_enums.defs: Regenerate with enums.pl, to add the enums
	for the new server operations.

2010-06-15  Murray Cumming  <murrayc@murrayc.com>

	SqlBuilder: Added add_field_id().

	* libgda/src/sqlbuilder.[hg|ccg]: Added add_field_id().

2010-06-15  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with libgda git master.

	* libgda/src/libgda_methods.defs: Regenerated with h2defs.py.
	* libgda/src/sqlbuilder.[hg|ccg]: Use Id instead of guint for the IDs.
	It is just a typedef but it makes things clearer. libgda does this now too.
	Rename add_field_id() to add_field_value_id() and change the implementation
	of similar methods because the C functions were renamed (by me).

2010-05-25  Murray Cumming  <murrayc@murrayc.com>

	3.99.20

2010-05-20  Murray Cumming  <murrayc@murrayc.com>

	Fixed the build with latest libgda.

	* libgda/src/libgda_methods.defs: Regenerated with h2defs.py
	* libgda/src/sqlbuilder.ccg: Adapted now that I have removed the id
	parameters from the C API.

2010-05-17  Murray Cumming  <murrayc@murrayc.com>

	SqlBuilder: Don't pass empty strings to the C functions.

	* libgda/src/sqlbuilder.hg: Make sure that generated methods pass NULL
	for empty strings, because libgda does not always check that strings are
	not empty, though I try to fix that in libgda when I see it.

2010-05-13  Murray Cumming  <murrayc@murrayc.com>

	SqlBuilder: get_sql_statement(): Fix memory management.

	* libgda/src/sqlbuilder.hg: get_sql_statement(): Take a copy of the C object,
	to avoid a double-free.

2010-05-12  Murray Cumming  <murrayc@murrayc.com>

	SqlBuilder: add_sub_select(), compound_add_sub_select(): Remove steal param.

	* libgda/src/libgda_methods.defs:
	* libgda/src/sqlbuilder.[hg|ccg]: Adapt to my change in libgda, fixing the
	build.

2010-05-12  Murray Cumming  <murrayc@murrayc.com>

	SqlBuilder: get_sql_statement(): Remove stupid copy_it parameter.

	* libgda/src/libgda_methods.defs:
	* libgda/src/sqlbuilder.hg: Adapt to my change in libgda, fixing the build.

2010-05-12  Murray Cumming  <murrayc@murrayc.com>

	SqlBuilder: Add select_add_target_id().

	* libgda/src/sqlbuilder.[hg|ccg]: Added select_add_target_id(),
	which _might_ be useful for adding sub-queries as targets, though I
	am checking.

2010-05-11  Murray Cumming  <murrayc@murrayc.com>

	Temporary fix until I fix the C API.

2010-05-11  Murray Cumming  <murrayc@murrayc.com>

	SqlBuilder: Add add_sub_select().

	* libgda/src/sqlbuilder.[hg|ccg]:  Wrap gda_sql_builder_add_sub_select().

2010-05-11  Murray Cumming  <murrayc@murrayc.com>

	SqlBuilder: Add compound_add_sub_select().

	* libgda/src/sqlbuilder.hg: Wrap gda_sql_builder_compound_add_sub_select().

2010-05-11  Murray Cumming  <murrayc@murrayc.com>

	Wrap SqlBuilder::get_sql_statement().

	* libgda/src/sqlstatement.[hg|ccg]: Added SqlStatement, wrapping
	GdaSqlStatement.
	* libgda/src/sqlbuilder.hg: Wrap get_sql_statement().

2010-05-07  Murray Cumming  <murrayc@murrayc.com>

	SqlBuilder: import_expression(): Remove the id parameter.

	* libgda/src/sqlbuilder.hg: import_expression(): Remove the id parameter.
	We generally don't let the caller specify an ID, though the C API does,
	for no good reason.
	export_expression(): Make this const.

2010-05-07  Murray Cumming  <murrayc@murrayc.com>

	SqlBuilder: Fix typo in import_expression() name.

	* libgda/src/sqlbuilder.hg: Change import_expressio() to import_expression().

2010-05-06  Murray Cumming  <murrayc@murrayc.com>

	SqlExpr: Add empty().

	* libgda/src/sqlexpr.[hg|ccg]: Added empty() so we can check if it is a
	default empty instance. This makes it more useful.

2010-05-06  Murray Cumming  <murrayc@murrayc.com>

	Added new SqlBuilder methods.

	* libgda/src/libgda_methods.defs: Regenerated with h2defs.py
	* libgda/src/sqlexpr.[hg|ccg]: Wrapped GdaSqlExpr as Gda::SqlExpr.
	This needs my change in libgda to register the boxed type.
	* libgda/src/sqlbuilder.hg: select_add_field(): Returns the ID now.
	Added export_expression() and import_expression().

2010-05-04  Murray Cumming  <murrayc@murrayc.com>

	Minor main text improvement.

2010-05-04  Murray Cumming  <murrayc@murrayc.com>

	Value: Added get/set_long().

	* libgda/libgdamm/value.[h|cc]: Added get/set_long().

2010-04-27  David King  <davidk@openismus.com>

	Add main page to Doxygen documentation

	* docs/Makefile.am: Parse libgda/libgdamm.h for Doxygen documentation.
	* libgda/libgdamm.h: Add main page to generated documentation.

2010-04-27  David King  <davidk@openismus.com>

	Remove Debian packaging

	* debian/*: Remove hopelessly out-of-date Debian packaging.

2010-04-26  Murray Cumming  <murrayc@murrayc.com>

	SqlBuilder: Added select_set_having() and select_group_by().

	* libgda/src/libgda_methods.defs: Regenerated with h2defs.py
	* libgda/src/sqlbuilder.hg: Added select_set_having(), select_group_by().

2010-04-09  Armin Burgmeier  <armin@arbur.net>

	SqlBuilder: Make definition and declaration of  add_cond() match

	* libgda/src/sqlbuilder.ccg (add_cond): Fix function header signature
	to match the declaration in the header (uint->guint), fixing the
	Windows build.

2010-03-29  Murray Cumming  <murrayc@murrayc.com>

	SqlBuilder: Added select_set_dictinct() and select_sect_limit().

	* libgda/src/libgda_methods.defs: Regenerated
	* libgda/src/sqlbuilder.[hg|ccg]: Added select_set_distinct(),
	select_set_limit(), set_limit_id(), and select_set_distinct().

2010-03-23  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest libgdamm, which slightly broke API and ABI.

	* libgda/src/libgda_enums.defs: Regenerated.
	* libgda/src/sqlbuilder.hg: Adapt the SqlError exception wrapper to mention
	GdaSqlError instead of GdaSqlErrorType.

2010-02-27  Murray Cumming  <murrayc@murrayc.com>

	Connection: Add statement_execute_non_select_builder(SqlBuilder)

	* libgda/src/connection.[hg|ccg]: Added statement_execute_non_select_builder()
	overloads that take SqlBuilder, to avoid the need to generate a statement
	from a builder.

2010-02-27  Murray Cumming  <murrayc@murrayc.com>

	Connection, SqlBuilder: Addd some convenient method overloads.

	* libgda/src/connection.[hg|ccg]: statement_execute_select(statement, params):
	Add an optional model_usage parameter, as already exists on other method
	overloads.
	Added statement_execute_select_builder() to avoid the need to generate a
	statement from a builder.
	* libgda/src/sqlbuilder.[hg|ccg]: Added an add_function() overload that
	takes only one parameter.

2010-02-27  Murray Cumming  <murrayc@murrayc.com>

	SqlBuilder: Add SqlError and fix select_add_target() with no alias.

	* libgda/src/sqlbuilder.[hg|ccg]: Add SqlError to wrap the GdaSqlError
	error domain thrown (but not documented) by SqlBuilder.
	select_add_target(): Avoid passing a  alias. I have fixed the C
	function in libgda but this makes it safe even when that is not deployed.

2010-02-25  Murray Cumming  <murrayc@murrayc.com>

	3.99.19 really

2010-02-25  Murray Cumming  <murrayc@murrayc.com>

	3.99.19

2009-12-04  Murray Cumming  <murrayc@murrayc.com>

	SqlBuilder: select_add_target() now takes a name instead of an ID.

	* libgda/src/libgda_methods.defs: Regenerated
	* libgda/src/sqlbuilder.[hg|ccg]: select_add_target(): Take the
	table name as a string, using the new C function, and give the alias
	a default parameter instead of overloading.

2009-12-02  Murray Cumming  <murrayc@murrayc.com>

	SqlBuilder: Make set_field_value() and add_expr() templated.

	* libgda/src/sqlbuilder.[hg|ccg]: set_field_value(): Rename to
	set_field_value_as_value. Rename add_expr() to add_expr_as_value().
	Add templated set_field_value() and add_expr() methods so people
	do not need to manually construct a Value object.

2009-12-01  Murray Cumming  <murrayc@murrayc.com>

	SqlBuilder: Added 2 more methods.

	* libgda/src/sqlbuilder.hg: Added add_field_value() and
	select_add_field().

2009-12-01  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest libgdamm.

	* libgda/src/libgda_methods.defs: Regenerated with h2defs.py
	* libgda/src/sqlbuilder.hg: gda_sql_builder_add_field() was renamed to
	gda_sql_builder_add_field_id().

2009-10-26  Murray Cumming  <murrayc@murrayc.com>

	Corrected Doxygen syntax.

2009-10-25  Murray Cumming  <murrayc@murrayc.com>

	Statement::to_sql(), Connection::statement*(): const corrections.

	* libgda/src/statement.[hg|ccg|: to_sql(): Make the params parameter const.
	* libgda/src/connection.[hg|ccg|: statement_execute*(), statement_to_sql():
	Make the statement and params parameters const.

2009-10-25  Murray Cumming  <murrayc@murrayc.com>

	SqlBuilder: Small const and other improvements.

	* libgda/src/sqlbuilder.[hg|ccg]: add_expr(): Use const ref for the Value
	parameter. Don't use NULL in C++ code.
	add_function(): Use const ref for the ArrayHandle parameter.
	get_statement(): Make this const.
	add_cond_v(): Rename to add_cond().
	select_order_by(): Add default parameter values.

2009-10-05  Johannes Schmid  <jhs@gnome.org>

	SqlBuilder: add_expr() should use the DataHandler argument when requested

2009-10-01  Johannes Schmid  <jhs@gnome.org>

	Use default arguments for potentially unused arguments of SqlBuilder::add_cond()

2009-10-01  Johannes Schmid  <jhs@gnome.org>

	Updated GdaSqlBuilder bindings to use new method names from libgda

	All methods now return an automatically generated id which should be stored
	somewhere when it needs to reused. Manual id definition like in the C
	API has been removed.

2009-09-30  Johannes Schmid  <jhs@gnome.org>

	Fixed ChangeLog

2009-09-30  Johannes Schmid  <jhs@gnome.org>

	Added example for new SqlBuilder function API

2009-09-30  Johannes Schmid  <jhs@gnome.org>

	Added wrapper for new function API in SqlBuilder, updated libgda version in configure.ac

2009-09-29  Johannes Schmid  <jhs@gnome.org>

	Fix Gda::Value to correctly accept const gchar*, add overload for Gda::SqlBuilder::select_add_target(), add example for Gda::SqlBuilder

2009-09-28  Johannes Schmid  <jhs@gnome.org>

	Use Value instead of Value& to make the  SqlBuilder::param() much more convenient to use.

2009-09-25  Johannes Schmid  <jhs@gnome.org>

	GdaSqlBuilder: Added wrapper around gda_sql_builder_expr(_value)

2009-09-24  Johannes Schmid  <jhs@gnome.org>

	Wrapped GdaSqlBuilder class

2009-09-24  Johannes Schmid  <jhs@gnome.org>

	Regenerated .defs files from latest libgda master (4.1.x version)

2009-09-14  Murray Cumming  <murrayc@murrayc.com>

	Resolved Merge

2009-09-14  Daniel Elstner  <danielk@openismus.com>

	Enable verbose output of autoreconf

	* autogen.sh: Pass the --verbose option to autoreconf.

2009-09-14  Daniel Elstner  <danielk@openismus.com>

	Update Doxygen configuration for Doxygen 1.6.1

	* docs/reference/Doxyfile.in: Update configuration file for
	Doxygen 1.6.1.
	(EXCLUDE_SYMBOLS): Remove "sigc" again from the list of excluded
	symbols.  With a recent build of libsigc++, this should no longer
	be necessary.
	(SORT_MEMBERS_CTORS_1ST): Set option to YES.

2009-09-04  Murray Cumming  <murrayc@murrayc.com>

	Added the MetaStructError exception.

2009-08-31  Daniel Elstner  <danielk@openismus.com>

	Make Doxygen ignore namespace sigc

	* docs/reference/Doxyfile.in (EXCLUDE_SYMBOLS): Add "sigc" to the
	list of symbols to ignore.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Fix documentation location in pkg-config files

	* libgdamm/libgdamm{,-uninstalled}.pc.in (htmlrefpub): Point to
	library.gnome.org.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Bump version to 3.99.17.1 and update news

	* configure.ac (AC_INIT): Increment version to libgdamm 3.99.17.1.
	(MM_PREREQ): Require mm-common 0.7.1.
	(AM_INIT_AUTOMAKE): Use check-news option.
	* NEWS: Write news entry for the libgdamm 3.99.17.1 release.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Use mm-common CSS and drop HTML header/footer

	* docs/reference/Doxyfile.in (HTML_HEADER), (HTML_HEADER): Assign
	the empty string.
	(HTML_STYLESHEET): Assign location of the mm-common style sheet.
	(SORT_GROUP_NAMES): Enable for consistency.
	(PROJECT_NUMBER): Substitute @PACKAGE_VERSION@ instead of the API
	version.  It does look nicer and is probably more helpful.
	* docs/Makefile.am (htmlrefpub): Remove variable override, now
	that the documentation is hosted on library.gnome.org.
	(dist_noinst_DATA): Remove HTML header and footer fragments.

2009-08-27  Murray Cumming  <murrayc@murrayc.com>

	Doxyfile.in: Set COLLABORATION_GRAPH back to YES, so we get hierarchy diagrams again.

2009-08-27  Murray Cumming  <murrayc@murrayc.com>

	Removed stupid retval=1 debug output.

2009-08-26  Murray Cumming  <murrayc@murrayc.com>

	3.99.17

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Rename @since back to @newin

	* docs/reference/Doxyfile.in (ALIASES): Rename the @since alias
	back to its old name @newin, but otherwise keep the parameters.
	Apparently there is a @since command predefined in Doxygen which
	I hadn't noticed.  It does seem to get overridden silently, but
	it is better not to rely on this.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Distribute examples/README.txt

	* examples/Makefile.am (dist_noinst_DATA): List README.txt.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Remove junk file from version control

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Fix build with fatal warnings enabled

	* configure.ac (LIBGDAMM_WXXFLAGS): Pass the option
	-Wno-missing-field-initializers at warning level max and above,
	in order to get the GValue initializations to pass.
	* libgda/src/statement.ccg (Statement::to_sql): Remove name of
	unused 'params_used' parameter.  Extend the FIXME comment to say
	that it cannot be fixed since the wrapper prototype is broken.
	* libgda/src/sqlparser.hg: Remove the #pragma GCC system_header
	directive, which had apparently been put here for the insane
	reason to suppress a warning about /* occurring in a /* ... */
	comment.  Instead, avoid the problem by inserting dummy Doxygen
	commands.
	* libgda/libgdamm/value.cc (Value::Value): Explicitly call the
	inherited Glib::ValueBase default constructor to avoid a warning.
	However, the entire thing is conceptually broken beyond belief
	anyway.
	* examples/{config,simple}/main.cc (main): Remove names of unused
	parameters.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Clean up libgdammconfig.h.in template

	* libgda/libgdammconfig.h.in: Copy #undef statements including
	comments from the generated build/config.h header file.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Make libgda-bdb conditional compilation work

	* configure.ac (HAVE_LIBGDA_BDB): Rename preprocessor define from
	HAVE_BDB to a more recognizable name.
	* tools/extra_defs_gen/generate_defs_gda.cc: Include build/config.h
	configuration header for the HAVE_LIBGDA_BDB macro definition.
	(main): Change to the new macro name.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Build examples non-recursively

	* examples/Makefile.am: Rewrite based on non-recursive make, and
	have all example programs built from here.
	* examples/Makefile.am_fragment: Remove obsolete build file.
	* examples/*/Makefile.am: ditto.
	* configure.ac (AC_CONFIG_FILES): Remove examples/*/Makefile from
	the list of output files.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Overhaul pkg-config metadata files

	* libgda/libgdamm.pc.in: Rename file from libgda/libgdamm-4.0.pc.in.
	Rewrite to make use of more substitutions.  Provide the location of
	the reference documentation as well as the Doxygen tag file.
	* libgda/libgdamm-uninstalled.pc.in: New file for uninstalled use.
	* configure.ac (AC_CONFIG_FILES): Remove API version from input
	filenames and substitute ${LIBGDAMM_MODULE_NAME} into the output
	filenames.  List new input file libgda/libgdamm-uninstalled.pc.in.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Transition to mm-common documentation build

	* configure.ac (AC_CONFIG_FILES): Remove docs/reference/Makefile.am
	from the list of output files.
	(MM_ARG_WITH_TAGFILE_DOC): Reference the Doxygen tag files of
	libstdc++, libsigc++ and glibmm.
	* Makefile.am (SUBDIRS): Recurse into docs/ conditionally.
	* docs/Makefile.am: Rewrite based upon the new mm-common build
	infrastructure for the reference documentation.
	* docs/reference/Doxyfile.in: Heavily modernize and adapt to the
	new documentation build organization.
	* docs/reference/glibmm_doxygen_tags: Delete redundant file.
	* docs/reference/Makefile.am: Delete obsolete build file.
	* docs/reference/README: ditto.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Convert tools/ and libgda/ to new infrastructure

	* Makefile.am (SUBDIRS): Skip the libgda/ subdirectory and recurse
	directly into libgda/src/ and libgda/libgdamm/.
	(EXTRA_DIST): Remove the old build_shared/ include files.
	* configure.ac (AC_CONFIG_FILES): Remove files libgda/Makefile.am,
	libgda/libgdamm/private/Makefile.am, tools/m4/Makefile.am and
	tools/extra_defs_gen/Makefile.am from the list of output files.
	(GTHREAD_CFLAGS): Remove substitution again, as libgda-4.0 itself
	already pulls in gthread-2.0.
	(MM_INIT_MODULE): Add missing macro call.
	(MM_ARG_ENABLE_DOCUMENTATION): Call macro to get the Perl check.
	* libgda/src/filelist.am: Rename Makefile_list_of_hg.am_fragment
	and adapt to new mm-common Automake include files.
	* libgda/libgdamm/filelist.am: New file, defining the list of
	source code files to compile.
	* libgda/libgdamm/private/Makefile.am: Delete obsolete file.
	* libgda/src/Makefile.am: Rewrite to use new mm-common build
	infrastructure.
	* libgda/libgdamm/Makefile.am: ditto,
	* tools/Makefile.am: ditto.
	* tools/m4/filelist.am: Rename Makefile_list_of_sources.am_fragment
	and adapt to new mm-common Automake include files.
	* tools/m4/Makefile.am: Delete obsolete file.
	* tools/extra_defs_gen/Makefile.am: ditto.
	* build_shared/*.am_fragment: Delete obsolete build support files.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Begin transition to mm-common build system

	* autogen.sh: Replace with minimal version using mm-common-prepare
	and autoreconf.
	* configure.ac: Rename file from configure.in.  Remove a lot of old
	cruft and clean up the remaining bits.  Make use of mm-common macros.
	Insert temporary dummy conditionals to keep the module buildable.
	* Makefile.am (ACLOCAL_AMFLAGS): Set to help autoreconf do its work.
	(SUBDIRS): Remove scripts/ subdirectory.
	(DIST_SUBDIRS): Remove.
	* scripts/Makefile.am: Delete obsolete build file.
	* scripts/macros.m4: Delete obsolete Autoconf macro file.
	* build/: New directory for auxiliary build files.

2009-07-31  Johannes Schmid  <jhs@gnome.org>

	Forgot to commit ChangeLog

2009-07-30  Johannes Schmid  <jhs@gnome.org>

	Fix Gda::Set::add_holder to work with disabled exceptions

2009-07-25  Murray Cumming  <murrayc@murrayc.com>

	Connection: update_meta_store_table(): Use gda_meta_store_sql_identifier_quote() 	as mentioned in bug #589607. 	Hopefully this is the end of this story.

2009-07-24  Murray Cumming  <murrayc@murrayc.com>

	update_meta_store_table(): Comment out the use of gda_sql_identifier_quote() because we now have the 	CONNECTION_OPTIONS_SQL_IDENTIFIERS_CASE_SENSITIVE connection option 	instead.

2009-07-23  Murray Cumming  <murrayc@murrayc.com>

	libgda/src/libgda_enums.defs: Regenerated with h2defs.py, against libgda 4.0.

2009-07-20  Murray Cumming  <murrayc@murrayc.com>

	update_meta_store_table(): Use the (even more horrible) gda_sql_identifier_quote() function instead of 	gda_sql_identifier_add_quotes(), because that is now what the documentation 	says we should use.

2009-07-07  Murray Cumming  <murrayc@murrayc.com>

	libgda/src/libgda_methods.defs: Regenerated with h2defs.py.

2009-07-06  Murray Cumming  <murrayc@murrayc.com>

	Added MetaStoreError.

	* libgda/src/libgda_enums.defs: Regenerated with enums.pl
	* libgda/src/metastore.[hg|ccg]: Wrapper GdaMetaStoreError which is
	now thrown by something - not sure what yet.

2009-06-30  Murray Cumming  <murrayc@murrayc.com>

	Fix per-table meta-store retrieval for table names with capital letters.

	* libgda/src/connection.ccg: update_meta_store_table():
	Quote the table name so it works with capital letters, spaces, etc.
	Vivien Malerba stated on the mailing list that this is necessary.
	I am not convinced that this function works at all anyway though.

2009-06-29  Johannes Schmid  <jhs@gnome.org>

	Updated files for release and fixed a typo

2009-06-29  Johannes Schmid  <jhs@gnome.org>

	Fixed example to build without exceptions

2009-06-24  Daniel Elstner  <danielk@openismus.com>

	Add category to DOAP and fix mbox resource

2009-06-22  Johannes Schmid  <jhs@gnome.org>

	Fixed build problems on maemo due to --fno-exceptions and GLIBMM_EXCEPTIONS_ENABLED# Please enter the commit message for your changes.

2009-06-02  Armin Burgmeier  <armin@arbur.net>

	Improved documentation of Connection::update_meta_store_table()

2009-06-02  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/connection.hg: Improved the documentation for the
	schema_name parameter for update_meta_store_table().

2009-06-01  Murray Cumming  <murrayc@murrayc.com>

	Increased version

2009-05-20  Armin Burgmeier  <armin@arbur.net>

	Added a schema_name parameter for the meta store update methods

	* libgda/src/connection.hg:
	* libgda/src/connection.ccg: Added a schema_name parameter for
	update_meta_store_table_names() and update_meta_store_table().

2009-05-18  Murray Cumming  <murrayc@murrayc.com>

	get_values(): Actually return the result, fixing a compiler warning. Bug #582997 (Vincent Untz).

2009-04-22  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	add doap file

2009-03-16  Murray Cumming  <murrayc@src.gnome.org>

	Increased version.

	svn path=/libgdamm/trunk/; revision=2111

2009-03-13  Murray Cumming  <murrayc@murrayc.com>

	Added update_meta_store_data_types() and update_meta_store_table_names().

2009-03-13  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/connection.[hg|ccg]: Added update_meta_store_data_types() and 
	update_meta_store_table_names().

	svn path=/libgdamm/trunk/; revision=2098

2009-03-13  Murray Cumming  <murrayc@murrayc.com>

	Remove the include of libgdamm/error.h.

2009-03-13  Murray Cumming  <murrayc@murrayc.com>

	* libgda/libgdamm.h: Remove the include of libgdamm/error.h.

	svn path=/libgdamm/trunk/; revision=2096

2009-03-13  Murray Cumming  <murrayc@murrayc.com>

	Removed these because the corresponding C header is now not installed by

2009-03-13  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/error.ccg:
	* libgda/src/error.hg: Removed these because the corresponding C header is 
	now not installed by libgda. This is better anyway.
	* libgda/src/libgda_signals.defs: Hand-corrected mentions of GdaError to 
	GError.
	* tools/m4/convert_libgdamm.m4: Move signal-specific Value and Error 
	conversions out of here.

	* libgda/src/dataproxy.hg:
	* libgda/src/holder.hg:
	* libgda/src/set.hg: Use Glib::Error instead of Gda::Error.
	Make Value and ustring string parameters const references.

	svn path=/libgdamm/trunk/; revision=2095

2009-03-10  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

	svn path=/libgdamm/trunk/; revision=2086

2009-03-09  Murray Cumming  <murrayc@src.gnome.org>

	Fix the ChangeLog

	svn path=/libgdamm/trunk/; revision=2083

2009-03-02  Armin Burgmeier  <armin@openismus.com>

	Changed type of "format-id" property from uint to guint, to fix the build

2009-03-02  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/xatransaction.hg: Changed type of "format-id" property
	from uint to guint, to fix the build on Windows.

	svn path=/libgdamm/trunk/; revision=2076

2009-03-01  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

	svn path=/libgdamm/trunk/; revision=2074

2009-02-23  David King  <davidk@openismus.com>

	Fix broken logic for location of gmmproc binary.

2009-02-23  David King  <davidk@openismus.com>

	* configure.in: Fix broken logic for location of gmmproc binary.

	svn path=/libgdamm/trunk/; revision=2071

2009-02-22  Murray Cumming  <murrayc@murrayc.com>

	Removed extra ;s to avoid warnings.

2009-02-22  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/datamodelarray.hg:
	* libgda/src/metastore.hg: Removed extra ;s to avoid warnings.

	svn path=/libgdamm/trunk/; revision=2070

2009-02-15  Murray Cumming  <murrayc@src.gnome.org>

	Increased version.

	svn path=/libgdamm/trunk/; revision=2046

2009-02-06  Murray Cumming  <murrayc@murrayc.com>

	Regenerated.

2009-02-06  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/libgda_methods.defs:
	* libgda/src/libgda_signals.defs: Regenerated.

	svn path=/libgdamm/trunk/; revision=2037

2009-02-06  Murray Cumming  <murrayc@murrayc.com>

	DataHandlerClass and DataModelClass were renamed to DataHandlerIface and

2009-02-06  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/datahandler.hg:
	* libgda/src/datamodel.hg: DataHandlerClass and DataModelClass were 
	renamed to DataHandlerIface and DataModelIface in libgda. Adapted to 
	fix the build.

	svn path=/libgdamm/trunk/; revision=2036

2009-01-30  Murray Cumming  <murrayc@murrayc.com>

	Regenerated. Removed get_nb_g_types() and get_g_type_index() because the C

2009-01-30  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/libgda_methods.defs: Regenerated.
	* libgda/src/datahandler.hg: Removed get_nb_g_types() and 
	get_g_type_index() because the C functions were removed from libgda.

	svn path=/libgdamm/trunk/; revision=2027

2009-01-27  Murray Cumming  <murrayc@murrayc.com>

	Rename add_holder(string, value) to add_holder_as_value(). Added a

2009-01-27  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/set.[hg|ccg]: Rename add_holder(string, value) to 
	add_holder_as_value(). Added a templated add_holder(string, T), to 
	make application code less annoying.

	svn path=/libgdamm/trunk/; revision=2022

2009-01-27  Murray Cumming  <murrayc@murrayc.com>

	Add a create_operation() overload that takes no parameters.

2009-01-27  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/serverprovider.ccg:
	* libgda/src/serverprovider.hg: Add a create_operation() overload that 
	takes no parameters.

	svn path=/libgdamm/trunk/; revision=2021

2009-01-27  Johannes Schmid  <jschmid@openismus.com>

	Don't call set_value() recursively

2009-01-27  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/holder.hg (set_value):
	Don't call set_value() recursively

	svn path=/libgdamm/trunk/; revision=2020

2009-01-27  Deng Xiyue  <manphiz@gmail.com>

	Change license header to mention Lesser General Public License version 2.1

2009-01-24  Deng Xiyue  <manphiz@gmail.com>

	* Change license header to mention Lesser General Public License
	version 2.1 instead of Library General Public License, to be
	consistent with COPYING.

	svn path=/libgdamm/trunk/; revision=2019

2009-01-26  Murray Cumming  <murrayc@murrayc.com>

	set_value(): Renamed to set_value_as_value(). Added a templated

2009-01-26  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/holder.hg: set_value(): Renamed to set_value_as_value().
	Added a templated set_value() method, to simplify application code.

	svn path=/libgdamm/trunk/; revision=2017

2009-01-26  Johannes Schmid  <jschmid@openismus.com>

	Added add_holder(id, value) as convenience shortcut

2009-01-26  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/set.ccg:
	* libgda/src/set.hg:
	Added add_holder(id, value) as convenience shortcut

	svn path=/libgdamm/trunk/; revision=2016

2009-01-24  Murray Cumming  <murrayc@murrayc.com>

	copy(): Make this const. get_bind(): Use refreturn and add a const

2009-01-24  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/holder.hg: copy(): Make this const.
	get_bind(): Use refreturn and add a const overload.

	svn path=/libgdamm/trunk/; revision=2014

2009-01-22  Murray Cumming  <murrayc@murrayc.com>

	Rename to_sql_extended() to to_sql(). Use

2009-01-22  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/statement.ccg:
	* libgda/src/statement.hg: Rename to_sql_extended() to to_sql().
	Use Glib::convert_return_gchar_ptr_to_ustring() instead of leaking the 
	string. Added an overload with no arguments. Made them all const.

	svn path=/libgdamm/trunk/; revision=2008

2009-01-22  Johannes Schmid  <jschmid@openismus.com>

	Fixed more reference problems

	2009-01-22  Johannes Schmid <jschmid@openismus.com>

	* libgda/src/set.hg(get_holder):
	* libgda/src/statement.ccg (get_parameters()):
	Fixed more reference problems

	svn path=/libgdamm/trunk/; revision=2007

2009-01-21  Johannes Schmid  <jschmid@openismus.com>

	Created version with last_inserted_row of statement_execute_non_select()

2009-01-21  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/connection.ccg:
	* libgda/src/connection.hg:
	Created version with last_inserted_row of statement_execute_non_select()

	* libgda/src/statement.ccg:
	Take a copy of the GdaSet in get_parameters() because we get a reference
	problem otherwise

	svn path=/libgdamm/trunk/; revision=2005

2009-01-21  Johannes Schmid  <jschmid@openismus.com>

	Wrapped GdaHolderError and GdaStatementError

2009-01-21  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/holder.ccg:
	* libgda/src/holder.hg:
	* libgda/src/statement.hg:

	Wrapped GdaHolderError and GdaStatementError

	svn path=/libgdamm/trunk/; revision=2004

2009-01-20  Johannes Schmid  <jschmid@openismus.com>

	Regenerated

2009-01-20  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/libgda_enums.defs:
	* libgda/src/libgda_methods.defs:
	* libgda/src/libgda_signals.defs:
	Regenerated

	* libgda/src/sqlparser.hg:
	* tools/m4/convert_libgdamm.m4:
	Wrap GdaSqlParserError

	svn path=/libgdamm/trunk/; revision=2001

2009-01-16  Murray Cumming  <murrayc@murrayc.com>

	3.99.8:

2009-01-16  Murray Cumming  <murrayc@murrayc.com>

	* libgda/libgdamm.h:
	* libgda/src/Makefile_list_of_hg.am_fragment:
	* tools/extra_defs_gen/generate_defs_gda.cc:
	* libgda/src/threader.[hg|ccg]: Removed Threader because GdaThreader 
	was removed from libgda.

	svn path=/libgdamm/trunk/; revision=1999

2009-01-14  Armin Burgmeier  <armin@openismus.com>

	Don't leak the GValue or other dynamically allocated resources.

2009-01-14  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/connection.ccg (update_meta_store_table): Don't leak the
	GValue or other dynamically allocated resources.

	svn path=/libgdamm/trunk/; revision=1998

2009-01-09  Johannes Schmid  <jschmid@openismus.com>

	Fix update_meta_store_table()

2009-01-09  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/connection.ccg:
	Fix update_meta_store_table()

	svn path=/libgdamm/trunk/; revision=1979

2009-01-08  Armin Burgmeier  <armin@openismus.com>

	Take an additional reference in get_provider(), so we don't free a

2009-01-08  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/connection.hg: Take an additional reference in
	get_provider(), so we don't free a reference we don't own.

	svn path=/libgdamm/trunk/; revision=1976

2009-01-06  Johannes Schmid  <jschmid@openismus.com>

	3.99.7:

	2009-01-04  Johannes Schmid <jschmid@openismus.com>

	* libgda/src/column.hg: Added a _IGNORE for set_attribute()
	* configure.in: Bumped version to 3.99.7 (synced with libgda)
	* NEWS: Updated

	svn path=/libgdamm/trunk/; revision=1949

2009-01-04  Johannes Schmid  <jschmid@openismus.com>

	Wrapped various missing methods

	2009-01-04  Johannes Schmid <jschmid@openismus.com>

	* libgda/src/dataselect.ccg:
	* libgda/src/dataselect.hg:
	* libgda/src/holder.hg:
	* libgda/src/metastore.ccg:
	* libgda/src/metastore.hg:
	* libgda/src/metastruct.hg:
	* libgda/src/row.hg:
	Wrapped various missing methods

	svn path=/libgdamm/trunk/; revision=1943

2009-01-03  Murray Cumming  <murrayc@murrayc.com>

	open_from_string(): Make the auth_string parameter optional because it is

2009-01-03  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/connection.hg: open_from_string(): Make the auth_string 
	parameter optional because it is not always needed, for instance with 
	sqlite.

	* libgda/src/datamodelarray.ccg:
	* libgda/src/datamodelarray.hg: Added set_column_g_type().

	* libgda/src/column.ccg:
	* libgda/src/column.hg:
	* libgda/src/holder.ccg: set_attribute():  Specify a callback to 
	destroy the provided string, because libgda has stupid memory management 
	for that.

	svn path=/libgdamm/trunk/; revision=1940

2008-12-27  Johannes Schmid  <jschmid@openismus.com>

	Regenerated from latest gda (and slightly edited to fix build)

	2008-12-27  Johannes Schmid <jschmid@openismus.com>

	* libgda/src/libgda_docs.xml:
	Regenerated from latest gda (and slightly edited to fix build)

	svn path=/libgdamm/trunk/; revision=1921

2008-12-27  Johannes Schmid  <jschmid@openismus.com>

	Fixed some doxygen warnings

	2008-12-27  Johannes Schmid <jschmid@openismus.com>

	* docs/reference/Doxyfile.in:
	Fixed some doxygen warnings

	* libgda/src/libgda_docs.xml:
	Updated documentation

	* libgda/src/metastore.ccg:
	* libgda/src/quarklist.hg:
	Fixed build

	svn path=/libgdamm/trunk/; revision=1920

2008-12-25  Johannes  <jschmid@openismus.com>

	Added some meta store example though I am not quite sure yet what

2008-12-25  Johannes  <jschmid@openismus.com>

	* examples/simple/main.cc:
	Added some meta store example though I am not quite sure yet what information
	would be a good example here

	* libgda/src/connection.ccg:
	* libgda/src/connection.hg:
	* libgda/src/metastore.ccg:
	* libgda/src/metastore.hg:
	Added several methods to update specific meta store informations and fixed
	a refreturn

	svn path=/libgdamm/trunk/; revision=1919

2008-12-21  Johannes Schmid  <jschmid@openismus.com>

	Regenerated devs and fixed build

2008-12-21  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/connection.ccg:
	* libgda/src/libgda_methods.defs:
	Regenerated devs and fixed build

	* libgda/src/datamodel.hg:
	* libgda/src/datamodeliter.hg:
	Revert last change - it was wrong

	svn path=/libgdamm/trunk/; revision=1899

2008-12-21  Johannes Schmid  <jhs@gnome.org>

	Added some more detailed update_meta_store() methods that speed up the

2008-12-21  Johannes Schmid  <jhs@gnome.org>

	* libgda/src/connection.ccg:
	* libgda/src/connection.hg:
	Added some more detailed update_meta_store() methods that speed up the update
	when only a part of the information is needed.

	* libgda/src/datamodel.hg:
	* libgda/src/datamodeliter.hg:
	Fixed build with latest libgda

	svn path=/libgdamm/trunk/; revision=1898

2008-12-18  Murray Cumming  <murrayc@murrayc.com>

	Include serverprovider.h, because the *execute* methods may throw

2008-12-18  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/connection.hg: Include serverprovider.h, because 
	the *execute* methods may throw ServerProviderError, though that is not 
	documented. See bug #565019.
	* libgda/src/serverprovider.[hg|ccg]: Do not include connection.h, 
	because that would be circular.

	svn path=/libgdamm/trunk/; revision=1886

2008-12-18  Murray Cumming  <murrayc@murrayc.com>

	Wrap the GdaServerProviderError GError/Exception.

2008-12-18  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/serverprovider.hg: Wrap the GdaServerProviderError 
	GError/Exception.

	svn path=/libgdamm/trunk/; revision=1885

2008-12-17  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	Change version to 4.0. Ditto. Bug #564816

2008-12-17  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* libgda/libgdamm/private/Makefile.am: (private_includedir):
	Change version to 4.0.
	* tools/m4/Makefile.am (tools_m4_includedir): Ditto.
	Bug #564816

	svn path=/libgdamm/trunk/; revision=1874

2008-12-17  Armin Burgmeier  <armin@openismus.com>

	Removed an extra 's' character that made the build fail. This has probably

2008-12-17  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/holder.ccg: Removed an extra 's' character that made the
	build fail. This has probably been committed accidentally.

	* libgda/src/serverprovider.hg: Made all available methods public,
	instead of private, so they can actually be used.

	svn path=/libgdamm/trunk/; revision=1873

2008-12-17  Murray Cumming  <murrayc@murrayc.com>

	Use *set_attribute_static() for now jus t to fix the build with latest

2008-12-17  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/column.hg:
	* libgda/src/holder.ccg: Use *set_attribute_static() for now jus t
	to fix the build with latest libgda, though the true fix is not yet 
	clear

	svn path=/libgdamm/trunk/; revision=1872

2008-12-17  Murray Cumming  <murrayc@murrayc.com>

	Change move_at to move_to as in libgda.:

2008-12-17  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/datamodel.hg:
	* libgda/src/datamodeliter.hg:
	* libgda/src/libgda_docs.xml:
	* libgda/src/libgda_methods.defs: Change move_at to move_to 
	as in libgda.:

	svn path=/libgdamm/trunk/; revision=1871

2008-12-15  Murray Cumming  <murrayc@murrayc.com>

	Re-committed this, calling the C function directly to avoid a non-NULL

2008-12-15  Murray Cumming  <murrayc@murrayc.com>

	Re-committed this, calling the C function directly to avoid a non-NULL 
	col_types parameter:

	* libgda/src/connection.ccg:
	* libgda/src/connection.hg: statement_execute_select(): Add a 
	StatementModelUsage parameter, with a default value, so we can 
	specify a cursor model.
	statement_execute_select_full(): Rename to statement_execute_select().

	svn path=/libgdamm/trunk/; revision=1861

2008-12-15  Johannes Schmid  <jschmid@openismus.com>

	Added a tiny example to list the available providers

2008-12-15  Johannes Schmid  <jschmid@openismus.com>

	* configure.in:
	* examples/Makefile.am:
	* examples/config/Makefile.am:
	* examples/config/main.cc:
	Added a tiny example to list the available providers

	* libgda/src/connection.ccg:
	Some leftover from previous changes...

	svn path=/libgdamm/trunk/; revision=1860

2008-12-15  Johannes Schmid  <jschmid@openismus.com>

	Added a tiny example to list the available providers

2008-12-15  Johannes Schmid  <jschmid@openismus.com>

	* configure.in:
	* examples/Makefile.am:
	* examples/config/Makefile.am:
	* examples/config/main.cc:
	Added a tiny example to list the available providers

	* libgda/src/connection.ccg:
	Some leftover from previous changes...

	svn path=/libgdamm/trunk/; revision=1859

2008-12-15  Johannes Schmid  <jschmid@openismus.com>

	Use gda_execute_non_select_command() instead of hardcoding

2008-12-15  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/connection.ccg:
	* libgda/src/connection.hg:
	Use gda_execute_non_select_command() instead of hardcoding

	* libgda/src/serveroperation.ccg:
	* libgda/src/serveroperation.hg:
	Add gda_perform_create/drop_database and gda_prepare_create/drop_database from
	gda-easy

	svn path=/libgdamm/trunk/; revision=1858

2008-12-15  Murray Cumming  <murrayc@murrayc.com>

	Reverted my last change because it is causing weird column-index warnings

2008-12-15  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/connection.ccg:
	* libgda/src/connection.hg: Reverted my last change because it is 
	causing weird column-index warnings in Glom. I will try again. 

	svn path=/libgdamm/trunk/; revision=1857

2008-12-14  Murray Cumming  <murrayc@murrayc.com>

	statement_execute_select(): Add a StatementModelUsage parameter, with a

2008-12-14  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/connection.ccg:
	* libgda/src/connection.hg: statement_execute_select(): Add a 
	StatementModelUsage parameter, with a default value, so we can 
	specify a cursor model.
	statement_execute_select_full(): Rename to statement_execute_select().

	svn path=/libgdamm/trunk/; revision=1851

2008-12-14  Murray Cumming  <murrayc@src.gnome.org>

	Formatting improvements

	svn path=/libgdamm/trunk/; revision=1850

2008-12-14  Murray Cumming  <murrayc@src.gnome.org>

	Formatting improvements

	svn path=/libgdamm/trunk/; revision=1849

2008-12-14  Murray Cumming  <murrayc@murrayc.com>

	Use refreturn on get_holder_for_field(), as we should for most get_*()

2008-12-12  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/datamodeliter.hg: Use refreturn on get_holder_for_field(), 
	as we should for most get_*() that return a RefPtr. Add a const 
	overload too.
	* libgda/src/holder.hg: set_attribute(): Hand-code this so we can 
	leak the string, because the (awful, stupid) 
	gda_holder_set_attribute() function expects it to be a static string, 
	instead of copying it. You haven't heard the last of this, 
	gda_holder_set_attribute().

	svn path=/libgdamm/trunk/; revision=1848

2008-12-12  Deng Xiyue  <manphiz@gmail.com>

	commented out an unused parameter to silencea warning. Patch by Norbert

	2008-12-12  Deng Xiyue <manphiz@gmail.com>

	* libgda/libgdamm/value.h: commented out an unused parameter to
	silencea warning.  Patch by Norbert Kiesel <nkiesel@tbdnetworks.com>.
	bug #554484.

	svn path=/libgdamm/trunk/; revision=1839

2008-12-12  Murray Cumming  <murrayc@murrayc.com>

	Added a get_meta_store_data() method overload with no filters parameter.

2008-12-12  Murray Cumming  <murrayc@murrayc.com>

	* tools/m4/convert_libgdamm.m4:
	* libgda/src/connection.[hg|ccg]: Added a get_meta_store_data() 
	method overload with no filters parameter. 

	svn path=/libgdamm/trunk/; revision=1834

2008-12-07  Johannes Schmid  <jschmid@openismus.com>

	Added helper methods to use sql directly instead of Gda::Statement

2008-12-07  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/connection.ccg:
	* libgda/src/connection.hg:
	Added helper methods to use sql directly instead of Gda::Statement

	svn path=/libgdamm/trunk/; revision=1826

2008-12-03  Daniel Elstner  <daniel@src.gnome.org>

	For now pass 0 as optional GdaMetaContext argument, in order to fix the

	* libgda/src/connection.ccg (update_meta_store): For now pass 0
	as optional GdaMetaContext argument, in order to fix the build.

	svn path=/libgdamm/trunk/; revision=1824

2008-11-30  Johannes Schmid  <jschmid@openismus.com>

	Make get_default_value() const

2008-11-30  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/column.hg:
	Make get_default_value() const
	* libgda/src/connection.ccg:
	* libgda/src/connection.hg:
	Added wrapper for update_meta_store(). (It omits the optional GdaMetaStore
	because I think you will most likely never need it)

	svn path=/libgdamm/trunk/; revision=1818

2008-11-28  Johannes Schmid  <jschmid@openismus.com>

	Fixed some Value methods that were still using Glib::Value

2008-11-28  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/column.ccg:
	* libgda/src/column.hg:
	* libgda/src/row.ccg:
	* libgda/src/row.hg:
	Fixed some Value methods that were still using Glib::Value

	svn path=/libgdamm/trunk/; revision=1815

2008-11-27  Johannes Schmid  <jschmid@openimus.com>

	Use _CONSTRUCT macro instead of hard-coding everything

2008-11-27  Johannes Schmid  <jschmid@openimus.com>

	* libgda/src/holder.ccg:
	Use _CONSTRUCT macro instead of hard-coding everything

	svn path=/libgdamm/trunk/; revision=1813

2008-11-25  Johannes Schmid  <jschmid@openismus.com>

	Write custom constructor for Gda::Holder because the autgenerated did not

2008-11-25  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/holder.ccg:
	* libgda/src/holder.hg:
	Write custom constructor for Gda::Holder because the autgenerated did not work

	svn path=/libgdamm/trunk/; revision=1810

2008-11-21  Johannes Schmid  <jschmid@openismus.com>

	Corrected constructor default argument

2008-11-21  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/set.hg:
	Corrected constructor default argument

	svn path=/libgdamm/trunk/; revision=1807

2008-11-18  Johannes Schmid  <jschmid@openismus.com>

	Use more simplified API

2008-11-18  Johannes Schmid  <jschmid@openismus.com>

	* examples/simple/main.cc:
	Use more simplified API

	* libgda/src/connection.hg:
	Added default arguments
	* libgda/src/datamodeliter.hg:
	Wrapped missing methods

	svn path=/libgdamm/trunk/; revision=1800

2008-11-18  Johannes Schmid  <jschmid@openismus.com>

	Added some custom methods and default arguments to honer the fact that

2008-11-18  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/batch.hg:
	* libgda/src/column.hg:
	* libgda/src/connection.ccg:
	* libgda/src/connection.hg:
	* libgda/src/set.hg:
	* libgda/src/sqlparser.ccg:
	* libgda/src/sqlparser.hg:
	Added some custom methods and default arguments to honer the fact
	that libgda allows to pass "NULL" for several arguments

	* examples/simple/main.cc:
	Used new methods.

	svn path=/libgdamm/trunk/; revision=1799

2008-11-17  Murray Cumming  <murrayc@murrayc.com>

	Use Gnome::Gda::Value instead of Glib::ValueBase, as it was in

2008-11-17  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/column.ccg:
	* libgda/src/column.hg:
	* libgda/src/metastruct.hg:
	* libgda/src/row.ccg:
	* libgda/src/row.hg:
	* libgda/src/serveroperation.ccg:
	* libgda/src/serveroperation.hg:
	* libgda/src/serverprovider.ccg:
	* libgda/src/serverprovider.hg: Use Gnome::Gda::Value instead of 
	Glib::ValueBase, as it was in libgdamm-3.0. ValueBase particularly 
	cannot be used as a return type.

	svn path=/libgdamm/trunk/; revision=1795

2008-11-17  Murray Cumming  <murrayc@murrayc.com>

	Several const corrections. Moved typedefs into classes. Moved signal

2008-11-17  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/batch.ccg:
	* libgda/src/batch.hg:
	* libgda/src/blob.hg:
	* libgda/src/column.hg:
	* libgda/src/config.hg:
	* libgda/src/connection.hg:
	* libgda/src/connectionevent.hg:
	* libgda/src/dataaccesswrapper.hg:
	* libgda/src/datacomparator.hg:
	* libgda/src/datamodel.hg:
	* libgda/src/datamodelarray.hg:
	* libgda/src/datamodelimport.hg:
	* libgda/src/datamodeliter.hg:
	* libgda/src/dataselect.hg:
	* libgda/src/error.hg:
	* libgda/src/holder.hg:
	* libgda/src/metastore.ccg:
	* libgda/src/metastore.hg:
	* libgda/src/metastruct.hg:
	* libgda/src/quarklist.hg:
	* libgda/src/row.hg:
	* libgda/src/serveroperation.hg:
	* libgda/src/serverprovider.ccg:
	* libgda/src/serverprovider.hg:
	* libgda/src/set.hg:
	* libgda/src/sqlparser.hg:
	* libgda/src/statement.hg:
	* libgda/src/threader.hg:
	* libgda/src/xatransaction.hg:
	* tools/m4/convert_libgdamm.m4:
	Several const corrections.
	Moved typedefs into classes.
	Moved signal conversions into .hg files and added the extra ref.
	Put fullstop at end of all doxygen first sentences.

	svn path=/libgdamm/trunk/; revision=1794

2008-11-13  Johannes Schmid  <jhs@gnome.org>

	Add missing files

2008-11-13  Johannes Schmid  <jhs@gnome.org>

	* libgda/libgdamm.h:
	Add missing files
	* libgda/src/config.ccg:
	* libgda/src/config.hg:
	* libgda/src/connection.hg:
	* libgda/src/metastore.hg:
	* libgda/src/metastruct.hg:
	* libgda/src/set.hg:
	* libgda/src/sqlparser.hg:
	Disabled some methods that cause problems and may not be of any use.
	Fixed some build errors and sileced a warning

	svn path=/libgdamm/trunk/; revision=1785

2008-11-11  Johannes Schmid  <jschmid@openismus.com>

	3.99.9:

2008-11-11  Johannes Schmid  <jschmid@openismus.com>

	* NEWS: Updated
	* configure.in:
	Require libgda 3.99.7

	svn path=/libgdamm/trunk/; revision=1781

2008-11-11  Johannes Schmid  <jschmid@openismus.com>

	Fixed most obvious doxygen warnings

2008-11-11  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/batch.ccg:
	* libgda/src/batch.hg:
	* libgda/src/column.hg:
	* libgda/src/connection.hg:
	* libgda/src/dataselect.hg:
	* libgda/src/metastore.hg:
	* libgda/src/metastruct.hg:
	* libgda/src/quarklist.hg:
	* libgda/src/serveroperation.hg:
	* libgda/src/set.hg:
	* libgda/src/sqlparser.hg:
	* libgda/src/statement.hg:
	* libgda/src/xatransaction.hg:
	Fixed most obvious doxygen warnings

	svn path=/libgdamm/trunk/; revision=1780

2008-11-10  Johannes Schmid  <jschmid@openismus.com>

	More documentation fixes

2008-11-10  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/datacomparator.hg:
	* libgda/src/quarklist.hg:
	* libgda/src/sqlparser.hg:
	* libgda/src/statement.hg:
	More documentation fixes

	svn path=/libgdamm/trunk/; revision=1779

2008-11-05  Johannes Schmid  <jschmid@openismus.com>

	Remove debugging code

2008-11-05  Johannes Schmid  <jschmid@openismus.com>

	* examples/simple/main.cc:
	Remove debugging code

	* libgda/src/batch.hg:
	* libgda/src/blobop.hg:
	* libgda/src/dataaccesswrapper.hg:
	* libgda/src/datamodelarray.hg:
	* libgda/src/datamodeliter.hg:
	* libgda/src/dataselect.hg:
	* libgda/src/error.hg:
	* libgda/src/holder.hg:
	* libgda/src/libgda_docs.xml:
	* libgda/src/metastore.hg:
	* libgda/src/metastruct.hg:
	* libgda/src/row.hg:
	* libgda/src/serveroperation.hg:
	* libgda/src/serverprovider.hg:
	* libgda/src/set.hg:
	* libgda/src/sqlparser.hg:
	* libgda/src/statement.hg:
	* libgda/src/threader.hg:
	* libgda/src/xatransaction.hg:
	Added class documentation (and regenerated docs). Still needs some cleanup.

	svn path=/libgdamm/trunk/; revision=1771

2008-11-04  Murray Cumming  <murrayc@murrayc.com>

	Derive from DataModel and use _IMPLEMENTS_INTERFACE() so that

2008-11-05  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/dataaccesswrapper.hg:
	* libgda/src/datacomparator.hg:
	* libgda/src/datamodelarray.hg:
	* libgda/src/datamodelimport.hg:
	* libgda/src/dataselect.hg: Derive from DataModel and 
	use _IMPLEMENTS_INTERFACE() so that dynamic_cast<> works 
	when using wrap() on one of these C types.

	svn path=/libgdamm/trunk/; revision=1769

2008-11-04  Murray Cumming  <murrayc@src.gnome.org>

	Annoying syntax corrected.

	svn path=/libgdamm/trunk/; revision=1768

2008-11-04  Johannes Schmid  <jschmid@openismus.com>

	Added some debug code

2008-11-04  Johannes Schmid  <jschmid@openismus.com>

	* examples/simple/main.cc:
	Added some debug code

	svn path=/libgdamm/trunk/; revision=1766

2008-11-01  Johannes Schmid  <jhs@src.gnome.org>

	fixed ChangeLog

	svn path=/libgdamm/trunk/; revision=1761

2008-11-01  Johannes Schmid  <jschmid@openismus.com>

	Readded GdaValue and converted classes to use it

2008-11-01  Johannes Schmid  <jschmid@openismus.com>

	* libgda/libgdamm/Makefile.am:
	* libgda/libgdamm/value_tools.h (deleted):
	* libgda/libgdamm/value.h (added):
	* libgda/libgdamm/value.cc (added):	
	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/connection.hg:
	* libgda/src/datahandler.ccg:
	* libgda/src/datahandler.hg:
	* libgda/src/datamodel.ccg:
	* libgda/src/datamodel.hg:
	* libgda/src/datamodeliter.ccg:
	* libgda/src/datamodeliter.hg:
	* libgda/src/holder.ccg:
	* libgda/src/holder.hg:
	* libgda/src/libgda_signals.defs:
	* libgda/src/set.ccg:
	* libgda/src/set.hg:
	* libgda/src/xatransaction.ccg:
	* libgda/src/xatransaction.hg:
	* tools/extra_defs_gen/generate_defs_gda.cc:
	* tools/m4/convert_libgdamm.m4:

	Readded GdaValue and converted classes to use it

	svn path=/libgdamm/trunk/; revision=1760

2008-10-30  Johannes Schmid  <jschmid@openismus.com>

	Wrapped GdaDataSelect

2008-10-30  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/dataselect.ccg:
	* libgda/src/dataselect.hg:
	Wrapped GdaDataSelect

	svn path=/libgdamm/trunk/; revision=1759

2008-10-30  Johannes Schmid  <jschmid@openismus.com>

	Don't put typedef in generated file but in hg instead...

2008-10-30  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/error.hg:
	Don't put typedef in generated file but in hg instead...

	* libgda/src/libgda_signals.defs:
	* tools/extra_defs_gen/generate_defs_gda.cc:
	Regenerated signals/properties

	svn path=/libgdamm/trunk/; revision=1758

2008-10-30  Johannes Schmid  <jschmid@openismus.com>

	Wrapped GdaDataAccessWrapper

2008-10-30  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/dataaccesswrapper.ccg:
	* libgda/src/dataaccesswrapper.hg:

	Wrapped GdaDataAccessWrapper

	svn path=/libgdamm/trunk/; revision=1757

2008-10-30  Johannes Schmid  <jschmid@openismus.com>

	Fixed build with latest libgda

2008-10-30  Johannes Schmid  <jschmid@openismus.com>

	* libgda/libgdamm/value_tools.h:
	* libgda/src/libgda_methods.defs:
	* libgda/src/serverprovider.hg:
	* tools/m4/convert_libgdamm.m4:

	Fixed build with latest libgda

	svn path=/libgdamm/trunk/; revision=1756

2008-10-19  Johannes Schmid  <jschmid@openismus.com>

	Wrapped GdaDataComparator

2008-10-19  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/datacomparator.ccg:
	* libgda/src/datacomparator.hg:
	* tools/m4/convert_libgdamm.m4:

	Wrapped GdaDataComparator

	svn path=/libgdamm/trunk/; revision=1751

2008-10-16  Johannes Schmid  <jschmid@openismus.com>

	Added some inline methods for GValue conversions

2008-10-16  Johannes Schmid  <jschmid@openismus.com>

	* libgda/libgdamm/Makefile.am:
	* libgda/libgdamm/value_tools.h:
	Added some inline methods for GValue conversions

	* libgda/src/Makefile_list_of_hg.am_fragment:	
	* libgda/src/error.*
	Wrapped GdaError boxed type

	* libgda/src/dataproxy.hg:
	* libgda/src/set.hg:
	* libgda/src/holder.hg
	Fixed some signals

	* libgda/src/libgda_signals.defs:
	Edited by hand to fix some wrongly detected signals

	* tools/m4/convert_libgdamm.m4:
	Added some new conversions for GError and GdaError

	svn path=/libgdamm/trunk/; revision=1747

2008-10-11  Johannes Schmid  <jschmid@openismus.com>

	Require libgda 3.99.6

2008-10-11  Johannes Schmid  <jschmid@openismus.com>

	* configure.in: Require libgda 3.99.6
	* libgda/src/column.ccg:
	* libgda/src/column.hg:
	Wrapped set/get_attribte()

	* libgda/src/connection.ccg:
	* libgda/src/connection.hg:
	Wrapped statement_to_sql() and get_meta_store_data()

	* libgda/src/datamodel.hg:
	Removed non-existing property
	* libgda/src/holder.ccg:
	* libgda/src/holder.hg:
	Wrapped set/get_attribte()

	* libgda/src/quarklist.ccg:
	* libgda/src/quarklist.hg:
	Wrapped foreach()

	* libgda/src/libgda_enums.defs:
	* libgda/src/libgda_methods.defs:
	* libgda/src/libgda_others.defs:
	* libgda/src/libgda_signals.defs:
	Regenerated for new API version

	* libgda/src/statement.hg:
	Removed gda_statement_deserialize() (no longer in libgda)

	* tools/m4/convert_libgdamm.m4:
	Added some new conversions

	svn path=/libgdamm/trunk/; revision=1737

2008-10-08  Johannes Schmid  <jschmid@openismus.com>

	Fix build when libgda-bdb-4.0 is not installed

2008-10-08  Johannes Schmid  <jschmid@openismus.com>

	* configure.in:
	* tools/extra_defs_gen/generate_defs_gda.cc:
	Fix build when libgda-bdb-4.0 is not installed

	svn path=/libgdamm/trunk/; revision=1732

2008-10-07  Johannes Schmid  <jschmid@openismus.com>

	Fixed build due to several API changes in libgda

2008-10-07  Johannes Schmid  <jschmid@openismus.com>

	* libgda/src/column.ccg:
	* libgda/src/column.hg:
	* libgda/src/holder.ccg:
	* libgda/src/holder.hg:
	* libgda/src/libgda_methods.defs:
	* libgda/src/libgda_signals.defs:
	* libgda/src/set.hg:
	Fixed build due to several API changes in libgda

	svn path=/libgdamm/trunk/; revision=1730

2008-10-07  Murray Cumming  <murrayc@murrayc.com>

	Adde [] around LIBGDAMM_VERSION with AC_SUBST to avoid an odd error.

2008-10-07  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Adde [] around LIBGDAMM_VERSION with AC_SUBST 
	to avoid an odd error.

	svn path=/libgdamm/trunk/; revision=1729

2008-10-01  Johannes Schmid  <johannes.schmid@openismus.com>

	Wrapped more missing methods and signals

2008-10-01  Johannes Schmid  <johannes.schmid@openismus.com>

	* libgda/src/column.hg:
	* libgda/src/connection.hg:
	* libgda/src/datamodel.ccg:
	* libgda/src/datamodel.hg:
	* libgda/src/datamodelarray.hg:
	* libgda/src/dataproxy.hg:
	* libgda/src/holder.ccg:
	* libgda/src/holder.hg:
	* libgda/src/libgda_signals.defs:
	* libgda/src/metastruct.hg:
	* libgda/src/set.hg:
	Wrapped more missing methods and signals

	svn path=/libgdamm/trunk/; revision=1727

2008-10-01  Johannes Schmid  <johannes.schmid@openismus.com>

	Fixed build with latest libgda-4.0

2008-10-01  Johannes Schmid  <johannes.schmid@openismus.com>

	* libgda/libgdamm.h:
	* libgda/src/column.ccg:
	* libgda/src/column.hg:
	* libgda/src/config.ccg:
	* libgda/src/config.hg:
	* libgda/src/datamodel.ccg:
	* libgda/src/datamodel.hg:
	* libgda/src/datamodelarray.hg:
	* libgda/src/datamodelimport.hg:
	* libgda/src/dataproxy.hg:
	Fixed build with latest libgda-4.0

	svn path=/libgdamm/trunk/; revision=1726

2008-09-30  Johannes Schmid  <johannes.schmid@openismus.com>

	Fixed build Regenerated defs files from latest libgda-4.0 Adapted most

2008-09-30  Johannes Schmid  <johannes.schmid@openismus.com>

	* tools/extra_defs_gen/extra_defs_gda.cc: Fixed build
	* libgda/src/*.defs: Regenerated defs files from latest 
	libgda-4.0
	* libgda/src/*.hg: Adapted most files to changes in libgda

	svn path=/libgdamm/trunk/; revision=1723

2008-09-30  Johannes Schmid  <jhs@src.gnome.org>

	Undo silly change...

	svn path=/libgdamm/branches/libgdamm-4-0/; revision=1720

2008-09-30  Johannes Schmid  <jhs@src.gnome.org>

	libgdamm4 is now trunk

	svn path=/libgdamm/branches/libgdamm-4-0; revision=1719

2008-06-23  Johannes Schmid  <jhs@gnome.org>

	Wrapped missing classes

2008-06-23  Johannes Schmid  <jhs@gnome.org>

	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/quarklist.ccg:
	* libgda/src/quarklist.hg:
	* libgda/src/threader.ccg:
	* libgda/src/threader.hg:
	* tools/m4/convert_libgdamm.m4:
	Wrapped missing classes

	* libgda/blob*:
	Restored from svn trunk

	svn path=/libgdamm/branches/libgdamm-4-0/; revision=1579

2008-06-17  Johannes Schmid  <jhs@gnome.org>

	Cleaned up example

2008-06-17  Johannes Schmid  <jhs@gnome.org>

	* configure.in:
	* examples/*:
	Cleaned up example

	* libgda/libgdamm/Makefile.am:
	* libgda/src/batch.ccg:
	* libgda/src/batch.hg:
	* libgda/src/config.hg:
	* libgda/src/libgda_methods.defs:
	* libgda/src/metastore.hg:
	* libgda/src/row.hg:
	* libgda/src/serveroperation.hg:
	Added some signals using \"no_default_handler\" option and fixed
	libary version and naming

	svn path=/libgdamm/branches/libgdamm-4-0/; revision=1566

2008-06-17  Johannes Schmid  <jhs@gnome.org>

	Completed example

2008-06-17  Johannes Schmid  <jhs@gnome.org>

	* examples/simple/main.cc:
	Completed example

	* libgda/src/connection.ccg:
	Use Glib::unwrap instead of gobj()

	svn path=/libgdamm/branches/libgdamm-4-0/; revision=1565

2008-06-10  Johannes Schmid  <jhs@gnome.org>

	Started (very) simple example

2008-06-10  Johannes Schmid  <jhs@gnome.org>

	* examples/simple/main.cc:
	Started (very) simple example

	* libgda/libgdamm.h:
	* libgda/libgdamm/init.cc:
	* libgda/libgdamm/init.h:
	* libgda/src/connection.ccg:
	* libgda/src/connection.hg:
	Updated to build the example

	svn path=/libgdamm/branches/libgdamm-4-0/; revision=1556

2008-06-10  Johannes Schmid  <johannes.schmid@openismus.com>

	Added all missing properties and wrapped missing methods

2008-06-10  Johannes Schmid  <johannes.schmid@openismus.com>

	* libgda/src/config.hg:
	* libgda/src/connection.hg:
	* libgda/src/datamodelarray.hg:
	* libgda/src/datamodelimport.hg:
	* libgda/src/datamodelquery.hg:
	* libgda/src/dataproxy.hg:
	* libgda/src/holder.hg:
	* libgda/src/libgda_enums.defs:
	* libgda/src/libgda_methods.defs:
	* libgda/src/libgda_signals.defs:
	* libgda/src/metastore.hg:
	* libgda/src/metastruct.ccg:
	* libgda/src/metastruct.hg:
	* libgda/src/serveroperation.hg:
	* libgda/src/set.ccg:
	* libgda/src/set.hg:
	* tools/extra_defs_gen/generate_defs_gda.cc:
	* tools/m4/convert_libgdamm.m4:

	Added all missing properties and wrapped missing methods

	svn path=/libgdamm/branches/libgdamm-4-0/; revision=1555

2008-06-09  Johannes Schmid  <johannes.schmid@openismus.com>

	(Hand-)wrapped more methods

2008-06-09  Johannes Schmid  <johannes.schmid@openismus.com>

	* libgda/src/batch.hg:
	* libgda/src/column.hg:
	* libgda/src/holder.hg:
	* libgda/src/libgda_signals.defs:
	* libgda/src/metastore.ccg:
	* libgda/src/metastore.hg:
	* libgda/src/set.ccg:
	* libgda/src/set.hg:
	* libgda/src/statement.ccg:
	* libgda/src/statement.hg:
	* tools/m4/convert_libgdamm.m4:

	(Hand-)wrapped more methods

	svn path=/libgdamm/branches/libgdamm-4-0/; revision=1554

2008-06-07  Johannes Schmid  <johannes.schmid@openismus.com>

	Wrapped signal (needs patch to libgda #537105)

2008-06-07  Johannes Schmid  <johannes.schmid@openismus.com>

	* libgda/src/dataproxy.hg:
	Wrapped signal (needs patch to libgda #537105)

	* libgda/src/serveroperation.hg:
	* libgda/src/serverprovider.ccg:
	* libgda/src/serverprovider.hg:
	* tools/m4/convert_libgdamm.m4:
	Wrapped missing methods

	svn path=/libgdamm/branches/libgdamm-4-0/; revision=1553

2008-06-05  Johannes Schmid  <johannes.schmid@openismus.com>

	Wrapped some missing methods

2008-06-05  Johannes Schmid  <johannes.schmid@openismus.com>

	* libgda/Makefile.am:
	* libgda/src/connection.ccg:
	* libgda/src/connection.hg:
	* libgda/src/serveroperation.hg:
	* libgda/src/serverprovider.hg:
	* tools/m4/convert_libgdamm.m4:

	Wrapped some missing methods

	svn path=/libgdamm/branches/libgdamm-4-0/; revision=1552

2008-06-03  Johannes Schmid  <johannes.schmid@openismus.com>

	Wrapped Gda::Config

2008-06-03  Johannes Schmid  <johannes.schmid@openismus.com>

	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/config.ccg:
	* libgda/src/config.hg:
	* tools/m4/convert_libgdamm.m4:
	Wrapped Gda::Config

	svn path=/libgdamm/branches/libgdamm-4-0/; revision=1550

2008-06-03  Johannes Schmid  <johannes.schmid@openismus.com>

	Removed old files

2008-06-03  Johannes Schmid  <johannes.schmid@openismus.com>

	* libgda/libgdamm/Makefile.am:
	* libgda/libgdamm/config.cc:
	* libgda/libgdamm/config.h:
	* libgda/libgdamm/value.cc:
	* libgda/libgdamm/value.h:
	Removed old files

	* libgda/libgdamm/init.cc:
	* libgda/src/batch.ccg:
	* libgda/src/batch.hg:
	* libgda/src/metastore.hg:
	* libgda/src/metastruct.ccg:
	* libgda/src/metastruct.hg:
	* libgda/src/sqlparser.ccg:
	* libgda/src/statement.ccg:
	* tools/m4/convert_libgdamm.m4:
	Fixed remaining build errors.

	svn path=/libgdamm/branches/libgdamm-4-0/; revision=1549

2008-06-02  Johannes Schmid  <johannes.schmid@openismus.com>

	Fix more build errors

2008-06-02  Johannes Schmid  <johannes.schmid@openismus.com>

	* libgda/src/batch.hg:
	* libgda/src/column.hg:
	* libgda/src/holder.ccg:
	* libgda/src/holder.hg:
	* libgda/src/sqlparser.ccg:
	* libgda/src/sqlparser.hg:
	* libgda/src/statement.ccg:
	* libgda/src/statement.hg:

	Fix more build errors

	svn path=/libgdamm/branches/libgdamm-4-0/; revision=1547

2008-05-29  Johannes Schmid  <johannes.schmid@openismus.com>

	Fixed build for many classes and hand-coded a lot of methods returning a

2008-05-29  Johannes Schmid  <johannes.schmid@openismus.com>

	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/batch.hg:
	* libgda/src/column.ccg:
	* libgda/src/datahandler.ccg:
	* libgda/src/datamodel.ccg:
	* libgda/src/datamodel.hg:
	* libgda/src/datamodelarray.hg:
	* libgda/src/datamodelimport.ccg:
	* libgda/src/datamodelimport.hg:
	* libgda/src/datamodeliter.ccg:
	* libgda/src/datamodeliter.hg:
	* libgda/src/datamodelquery.ccg:
	* libgda/src/datamodelquery.hg:
	* libgda/src/datamodelrow.hg:
	* libgda/src/dataproxy.ccg:
	* libgda/src/dataproxy.hg:
	* libgda/src/handlerbin.hg:
	* libgda/src/handlerboolean.hg:
	* libgda/src/handlernumerical.hg:
	* libgda/src/handlerstring.hg:
	* libgda/src/handlertime.hg:
	* libgda/src/handlertype.hg:
	* libgda/src/holder.ccg:
	* libgda/src/holder.hg:
	* libgda/src/libgda_signals.defs:
	* libgda/src/metastore.hg:
	* libgda/src/metastruct.hg:
	* libgda/src/row.ccg:
	* libgda/src/row.hg:
	* libgda/src/serveroperation.ccg:
	* libgda/src/serveroperation.hg:
	* libgda/src/serverprovider.ccg:
	* libgda/src/serverprovider.hg:
	* libgda/src/set.ccg:
	* libgda/src/set.hg:
	* libgda/src/sqlparser.hg:
	* libgda/src/statement.hg:
	* tools/extra_defs_gen/generate_defs_gda.cc:
	* tools/m4/convert_libgdamm.m4:

	Fixed build for many classes and hand-coded a lot of methods returning a 
	GValue*

	svn path=/libgdamm/branches/libgdamm-4-0/; revision=1541

2008-05-28  Johannes Schmid  <johannes.schmid@openismus.com>

	Added a note about sql-parser

2008-05-28  Johannes Schmid  <johannes.schmid@openismus.com>

	* README:
	Added a note about sql-parser

	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/batch.ccg:
	* libgda/src/batch.hg:
	* libgda/src/connection.ccg:
	* libgda/src/connection.hg:
	* libgda/src/datahandler.ccg:
	* libgda/src/libgda_enums.defs:
	* libgda/src/libgda_methods.defs:
	* libgda/src/libgda_signals.defs:
	* libgda/src/metastore.ccg:
	* libgda/src/metastore.hg:
	* libgda/src/metastruct.ccg:
	* libgda/src/metastruct.hg:
	* libgda/src/sqlparser.ccg:
	* libgda/src/sqlparser.hg:
	* tools/extra_defs_gen/generate_defs_gda.cc:
	* tools/m4/convert_libgdamm.m4:

	Wrapped more classes and startet to fix build

	svn path=/libgdamm/branches/libgdamm-4-0/; revision=1539

2008-05-27  Johannes Schmid  <johannes.schmid@openismus.com>

	Reduce number of compile errors

2008-05-29  Johannes Schmid  <johannes.schmid@openismus.com>

	* libgda/src/connection.hg:
	* libgda/src/datamodel.hg:
	* libgda/src/serveroperation.hg:
	* libgda/src/statement.hg:

	Reduce number of compile errors

	svn path=/libgdamm/branches/libgdamm-4-0/; revision=1537

2008-05-27  Johannes Schmid  <johannes.schmid@openismus.com>

	Wrapped statement and holder and update everything to use Glib::Value

2008-05-28  Johannes Schmid  <johannes.schmid@openismus.com>

	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/column.hg:
	* libgda/src/connection.ccg:
	* libgda/src/connection.hg:
	* libgda/src/datahandler.hg:
	* libgda/src/datamodel.hg:
	* libgda/src/datamodeliter.hg:
	* libgda/src/holder.ccg:
	* libgda/src/holder.hg:
	* libgda/src/row.hg:
	* libgda/src/serveroperation.hg:
	* libgda/src/serverprovider.hg:
	* libgda/src/set.hg:
	* libgda/src/statement.ccg:
	* libgda/src/statement.hg:
	* tools/m4/convert_libgdamm.m4:

	Wrapped statement and holder and update everything to use Glib::Value instead
	of Gda::Value

	svn path=/libgdamm/branches/libgdamm-4-0/; revision=1536

2008-05-26  Johannes Schmid  <johannes.schmid@openismus.com>

	Updated several classes to libgda-4.0

2008-05-26  Johannes Schmid  <johannes.schmid@openismus.com>

	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/column.hg:
	* libgda/src/command.ccg:
	* libgda/src/command.hg:
	* libgda/src/connection.ccg:
	* libgda/src/connection.hg:
	* libgda/src/datamodel.hg:
	* libgda/src/datamodeliter.hg:
	* libgda/src/datamodelquery.hg:
	* libgda/src/dataproxy.hg:
	* libgda/src/row.hg:
	* libgda/src/set.hg:
	* libgda/src/set.ccg:
	* libgda/src/serverprovider.ccg:
	* libgda/src/serverprovider.hg:
	* tools/m4/convert_libgdamm.m4:

	Updated several classes to libgda-4.0

	svn path=/libgdamm/branches/libgdamm-4-0/; revision=1532

2008-05-25  Johannes Schmid  <johannes.schmid@openismus.com>

	Removed unneeded files:

	2008-05-25  Johannes Schmid <johannes.schmid@openismus.com>

	Removed unneeded files: 
	* libgda/src/blob.ccg:
	* libgda/src/blob.hg:
	* libgda/src/blobop.ccg:
	* libgda/src/blobop.hg:
	* libgda/src/client.ccg:
	* libgda/src/client.hg:
	* libgda/src/column.ccg:
	* libgda/src/column.hg:
	* libgda/src/columnindex.ccg:
	* libgda/src/columnindex.hg:
	* libgda/src/datamodelfiltersql.ccg:
	* libgda/src/datamodelfiltersql.hg:
	* libgda/src/datamodelhash.ccg:
	* libgda/src/datamodelhash.hg:
	* libgda/src/datamodelindex.ccg:
	* libgda/src/datamodelindex.hg:
	* libgda/src/datamodelrow.ccg:
	* libgda/src/datamodelrow.hg:
	* libgda/src/datasourceinfo.ccg:
	* libgda/src/datasourceinfo.hg:
	* libgda/src/dict.ccg:
	* libgda/src/dict.hg:
	* libgda/src/dictaggregate.ccg:
	* libgda/src/dictaggregate.hg:
	* libgda/src/dictconstraint.ccg:
	* libgda/src/dictconstraint.hg:
	* libgda/src/dictdatabase.ccg:
	* libgda/src/dictdatabase.hg:
	* libgda/src/dictfield.ccg:
	* libgda/src/dictfield.hg:
	* libgda/src/dictfunction.ccg:
	* libgda/src/dictfunction.hg:
	* libgda/src/dicttable.ccg:
	* libgda/src/dicttable.hg:
	* libgda/src/dicttype.ccg:
	* libgda/src/dicttype.hg:
	* libgda/src/entity.ccg:
	* libgda/src/entity.hg:
	* libgda/src/entityfield.ccg:
	* libgda/src/entityfield.hg:
	* libgda/src/object.ccg:
	* libgda/src/object.hg:
	* libgda/src/parameter.ccg:
	* libgda/src/parameter.hg:
	* libgda/src/parameterlist.ccg:
	* libgda/src/parameterlist.hg:
	* libgda/src/providerinfo.ccg:
	* libgda/src/providerinfo.hg:
	* libgda/src/query.ccg:
	* libgda/src/query.hg:
	* libgda/src/querycondition.ccg:
	* libgda/src/querycondition.hg:
	* libgda/src/queryfield.ccg:
	* libgda/src/queryfield.hg:
	* libgda/src/queryfieldagg.ccg:
	* libgda/src/queryfieldagg.hg:
	* libgda/src/queryfieldall.ccg:
	* libgda/src/queryfieldall.hg:
	* libgda/src/queryfieldfield.ccg:
	* libgda/src/queryfieldfield.hg:
	* libgda/src/queryfieldfunc.ccg:
	* libgda/src/queryfieldfunc.hg:
	* libgda/src/queryfieldvalue.ccg:
	* libgda/src/queryfieldvalue.hg:
	* libgda/src/queryjoin.ccg:
	* libgda/src/queryjoin.hg:
	* libgda/src/queryobject.ccg:
	* libgda/src/queryobject.hg:
	* libgda/src/querytarget.ccg:
	* libgda/src/querytarget.hg:
	* libgda/src/referer.ccg:
	* libgda/src/referer.hg:
	* libgda/src/renderer.ccg:
	* libgda/src/renderer.hg:
	* libgda/src/row.ccg:
	* libgda/src/row.hg:
	* libgda/src/xmlstorage.ccg:
	* libgda/src/xmlstorage.hg:

	* libgda/src/libgda_enums.defs:
	* libgda/src/libgda_methods.defs:
	* libgda/src/libgda_signals.defs:
	Regenerated defs files

	* libgda/src/Makefile_list_of_hg.am_fragment:
	Removed unused files from the Makefile

	svn path=/libgdamm/branches/libgdamm-4-0/; revision=1530

2008-05-25  Johannes Schmid  <johannes.schmid@openismus.com>

	Update things to use libgda-4.0 instead of 3.0

2008-05-25  Johannes Schmid  <johannes.schmid@openismus.com>

	* configure.in:
	* libgda/libgdamm-3.0.pc.in (removed):
	* libgda/libgdamm-4.0.pc.in:
	* tools/extra_defs_gen/generate_defs_gda.cc:

	Update things to use libgda-4.0 instead of 3.0

	* ChangeLog:
	* ChangeLog-pre-4.0:
	Cleared old ChangeLog

	svn path=/libgdamm/branches/libgdamm-4-0/; revision=1529

2008-03-16  Murray Cumming  <murrayc@murrayc.com>

	Clarified documentation.

2008-03-16  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/datahandler.hg: Clarified documentation.

	svn path=/libgdamm/trunk/; revision=1409

2008-03-16  Murray Cumming  <murrayc@src.gnome.org>

	Increase version

	svn path=/libgdamm/trunk/; revision=1407

2008-03-16  Murray Cumming  <murrayc@murrayc.com>

	Regenerated with h2defs.py Comment out fkey_set_fields() because we do not

2008-03-16  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/libgda_methods.defs: Regenerated with h2defs.py
	* libgda/src/dictconstraint.hg: Comment out fkey_set_fields() because 
	we do not yet have a wrapper for GdaDictConstraintFkeyPair.
	* libgda/src/dictfield.hg: Added table and entry-plugin properties.
	* libgda/src/dicttable.hg: Added db and is-view properties.
	* libgda/src/row.hg: Added row property.

	* tools/m4/convert_libgdamm.m4:
	* libgda/src/serveroperation.hg: Added get_node_type().

	* libgda/src/entity.hg: Added signals, though not really because we 
	do not have .defs for these yet.
	* libgda/src/entityfield.hg: Removed vfuncs which probaly have 
	incorrect refcounting. We can work on this for libgdamm 4.0.

	svn path=/libgdamm/trunk/; revision=1406

2008-03-01  Murray Cumming  <murrayc@murrayc.com>

	get_constraints(), get_arg_dict_types((), get_parents(),

2008-03-01  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/dictfield.ccg:
	* libgda/src/dictfield.hg: get_constraints(), 
	* libgda/src/dictfunction.hg: get_arg_dict_types((), 
	* libgda/src/dicttable.hg: get_parents(), get_constraints(),
	* libgda/src/dicttype.hg: get_synonyms(),
	* libgda/src/entity.hg: get_fields()

	* libgda/src/queryfieldvalue.hg: Added get_is_parameter().
	* libgda/src/dictdatabase.hg: update_progress(): 
	Corrected int to guint for parameter

	svn path=/libgdamm/trunk/; revision=1379

2008-03-01  Murray Cumming  <murrayc@murrayc.com>

	2.9.82:

2008-03-01  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Use tar-ustar with AM_INIT_AUTOMAKE() so we can 
	dist the long filenames generated by doxygen. This is based on what 
	we do in gtkmm.

	svn path=/libgdamm/trunk/; revision=1378

2008-03-01  Stefan Potyra  <stefan.potyra@informatik.uni-erlangen.de>

	Increase the first number in LIBGDAMM_SO_VERSION, to change the .so name

2008-03-01  Stefan Potyra  <stefan.potyra@informatik.uni-erlangen.de >

	* configure.in: Increase the first number in LIBGDAMM_SO_VERSION, 
	to change the .so name to indicate the build breakage in 2.9.81, 
	wanted by Ubuntu (launchpad bug 190744).

	Note from Murray: We do not normally use that version string much 
	because it just causes problems and there is no way to indicate 
	breakage of unstable parts while showing that the whole thing has only 
	API additions when comparing major stable releases. But libgdamm has 
	never yet been API stable so we can do it this time.

	svn path=/libgdamm/trunk/; revision=1377

2008-01-28  Murray Cumming  <murrayc@murrayc.com>

	Added a string conversion for the signal, because this is no longer in the

2008-01-28  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/column.hg:
	* libgda/src/dictdatabase.hg: Added a string conversion for the signal, 
	because this is no longer in the .m4 file installed by glibmm.

	svn path=/libgdamm/trunk/; revision=1309

2008-01-01  Armin Burgmeier  <armin@openismus.com>

	Detect whether building for Windows (copied from glibmm) and added

2007-12-31  Armin Burgmeier  <armin@openismus.com>

	* configure.in: Detect whether building for Windows (copied from
	glibmm) and added AC_LIBTOOL_WIN32_DLL to create a shared library.

	* build_shared/Makefile_build.am_fragment: Link with  -no-undefined on
	Windows, otherwise libtool does not create a DLL because undefined
	symbols are not allowed in Windows DLLs.

	svn path=/libgdamm/trunk/; revision=1270

2007-12-06  Murray Cumming  <murrayc@src.gnome.org>

	Mark version in ChangeLog

	svn path=/libgdamm/trunk/; revision=1251

2007-11-18  Murray Cumming  <murrayc@src.gnome.org>

	Increase version

	svn path=/libgdamm/trunk/; revision=1225

2007-11-18  Murray Cumming  <murrayc@murrayc.com>

	Remove trailing ;s to avoid warnings when --pedantic is used with gcc.

2007-11-18  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/blobop.hg:
	* libgda/src/column.hg:
	* libgda/src/columnindex.hg:
	* libgda/src/connection.hg:
	* libgda/src/dictdatabase.hg:
	* libgda/src/parameter.hg:
	* libgda/src/queryfieldvalue.hg:
	* libgda/src/row.hg:
	* libgda/src/serveroperation.hg:
	Remove trailing ;s to avoid warnings when --pedantic is used with 
	gcc.

	svn path=/libgdamm/trunk/; revision=1224

2007-09-30  Armin Burgmeier  <armin@openismus.com>

	Fixed build with disabled exceptions.

2007-09-30  Armin Burgmeier  <armin@openismus.com>

	* examples/simple/main.cc:
	* examples/simple_iter/main.cc: Fixed build with disabled exceptions.

	svn path=/libgdamm/trunk/; revision=1101

2007-09-28  Murray Cumming  <murrayc@murrayc.com>

	Added get_ulong() and set_ulong() and a constructor.

2007-09-28  Murray Cumming  <murrayc@murrayc.com>

	* libgda/libgdamm/value.cc:
	* libgda/libgdamm/value.h: Added get_ulong() and set_ulong() and 
	a constructor.

	svn path=/libgdamm/trunk/; revision=1100

2007-09-27  Murray Cumming  <murrayc@murrayc.com>

	Add a cnc_string to the DataSourceInfo to specify the table, to make this

2007-09-27  Murray Cumming  <murrayc@murrayc.com>

	* examples/simple/main.cc: Add a cnc_string to the DataSourceInfo to 
	specify the table, to make this work. Catch exceptions.
	* examples/simple_iter/main.cc: Use a full cnc_string instead of a 
	DataSourceInfo, to show how that is done.
	* libgda/src/datamodel.hg: describe_column(): Use refreturn to avoid 
	a reference-counting problem.

	svn path=/libgdamm/trunk/; revision=1098

2007-09-27  Murray Cumming  <murrayc@murrayc.com>

	Added an example that uses ITER_MODEL_ONLY. This does not actually work,

2007-09-27  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* examples/Makefile.am:
	* examples/simple_iter/main.cc: Added an example that uses ITER_MODEL_ONLY.
	This does not actually work, and the simple example probably doesn't work either, 
	because we have not specified a table name - see bug #480860. Everybody must 
	be using the DSN string instead of the DataSourceInfo.

	svn path=/libgdamm/trunk/; revision=1097

2007-09-25  Murray Cumming  <murrayc@murrayc.com>

	Put the enums inside the Gnome::Gda namespace instead of inside Gnome::.

2007-09-25  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/connectionevent.hg: Put the enums inside the Gnome::Gda namespace instead of 
	inside Gnome::.

	svn path=/libgdamm/trunk/; revision=1096

2007-09-17  Murray Cumming  <murrayc@murrayc.com>

	Added execute_select_command() and execute_non_select_command() that take

2007-09-17  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/connection.ccg:
	* libgda/src/connection.hg: Added execute_select_command() and execute_non_select_command() that 
	take the command as a string and that take a parameter list, for convenience.
	* libgda/src/parameterlist.hg: Remove add_param_*() methods, because we already have add_parameter() 
	methods that wrap the same C functions. Ref the return, to avoid a crash. None of these could have 
	worked before.

	svn path=/libgdamm/trunk/; revision=1095

2007-09-12  Murray Cumming  <murrayc@murrayc.com>

	2.9.8:

2007-09-10  Murray Cumming  <murrayc@murrayc.com>

	* libgda/libgdamm/value.cc: set(Glib::Date): Correctly initialize 
	the GValue, so that the date is actually used. 

	svn path=/libgdamm/trunk/; revision=1084

2007-06-20  Murray Cummingg  <murrayc@murrayc.com>

	Rename set(GType) to set_g_type(GType) because it is ambiguous with

2007-06-20  Murray Cummingg  <murrayc@murrayc.com>

	* libgda/libgdamm/value.cc:
	* libgda/libgdamm/value.h: Rename set(GType) to set_g_type(GType) because 
	it is ambiguous with set(int) (or maybe set(guint)). I do not know why this 
	is only a problem now.

	svn path=/libgdamm/trunk/; revision=1083

2007-06-14  Murray Cumming  <murrayc@murrayc.com>

	2.9.7:

2007-06-14  Murray Cumming  <murrayc@murrayc.com>

	* Makefile.am:
	* README:
	* COPYING.examples: Added GPL text, requested by the Ubuntu maintainer, 
	because the examples are GPL, though the library is LGPL.

	* libgda/src/dictconstraint.hg: pkey_set_fields(), pkey_get_fields(), 
	fkey_set_fields(), fkey_set_actions(), fkey_get_actions(), 
	unique_set_fields(), unique_get_fields(): Use SListHandle, so the 
	application coder can use standard C++ containers.
	These function names are not very nice.

	svn path=/libgdamm/trunk/; revision=1079

2007-06-10  Murray Cumming  <murrayc@murrayc.com>

	2.9.6:

2007-06-10  Murray Cumming  <murrayc@murrayc.com>

	* libgda/libgdamm/config.cc: get_provider_by_name(), get_providers(): 
	Avoid freeing memory that we don't own.
	get_value_string(): Avoid leaking memory

	svn path=/libgdamm/trunk/; revision=1078

2007-05-05  Murray Cumming  <murrayc@murrayc.com>

	Use the Doxygen tag files with relevant paths, assuming that everything is

2007-05-05  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Doxyfile.in: Use the Doxygen tag files with relevant paths, 
	assuming that everything is checked out at the same level, as with 
	jhbuild.
	* docs/reference/Makefile.am:
	* docs/reference/libgdamm_header.html_fragment:
	Correct the upload path, now that this is on gtkmm.org.

	svn path=/libgdamm/trunk/; revision=1071

2007-04-29  Murray Cumming  <murrayc@src.gnome.org>

	Increase version

	svn path=/libgdamm/trunk/; revision=1067

2007-04-24  Yselkowitz  <yselkowitz@users.sourceforge.net>

	Check for both m4 and M4 in the GNU m4 output, to fix the build on some

	2007-04-24  Yselkowitz <yselkowitz@users.sourceforge.net>

	* scripts/macros.m4: Check for both m4 and M4 in the GNU m4 output,
	to fix the build on some platforms.
	Bug #423990

	svn path=/libgdamm/trunk/; revision=1065

2007-03-30  Armin Burgmeier  <armin@openismus.com>

	Removed Gnome::Gda::value_compare, Gnome::Gda::value_compare_ext and

2007-03-30  Armin Burgmeier  <armin@openismus.com>

	* libgda/libgdamm/value.h:
	* libgda/libgdamm/value.cc: Removed Gnome::Gda::value_compare,
	Gnome::Gda::value_compare_ext and Gnome::Gda::value_equal. There is
	Gnome::Gda::Value::operator== to test for equality. Furthermore,
	Gnome::Gda::value_compare was not even defined, so I don't think these
	are really used. I just commented them out so we can re-enable them
	when required.

	svn path=/libgdamm/trunk/; revision=1059

2007-03-29  Armin Burgmeier  <armin@openismus.com>

	Wrapped gda_server_provider_get_value_at and

2007-03-29  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/serverprovider.hg:
	* libgda/src/serverprovider.ccg: Wrapped
	gda_server_provider_get_value_at and gda_server_provider_set_value_at.

	svn path=/libgdamm/trunk/; revision=1058

2007-03-27  Armin Burgmeier  <armin@openismus.com>

	Added a set_entry_plugin() convenience function.

2007-03-27  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/parameter.hg:
	* libgda/src/parameter.ccg: Added a set_entry_plugin() convenience
	function.

	svn path=/libgdamm/trunk/; revision=1056

2007-03-26  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

	svn path=/libgdamm/trunk/; revision=1053

2007-03-23  Armin Burgmeier  <armin@openismus.com>

	Regenerated.

2007-03-23  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/libgda_methods.defs: Regenerated.

	* libgda/src/datamodel.hg: Wrapped gda_data_model_import_from_model
	and gda_data_model_emit_signal_changed, ignore
	gda_data_model_array_copy_model since this belongs to
	GdaDataModelArray.

	* libgda/src/datamodeliter.hg:
	* libgda/src/dict.hg:
	* libgda/src/query.hg:
	* libgda/src/datamodeliter.ccg: Wrapped error values, and include
	gda-enum-types.h in datamodeliter.cc, so that it compiles.

	* libgda/src/parameterlist.hg:
	* libgda/src/parameterlist.ccg: Wrapped
	gda_parameter_list_find_param_for_user().

	svn path=/libgdamm/trunk/; revision=1051

2007-03-20  Armin Burgmeier  <armin@openismus.com>

	Call Value constructor with the GValue* as argument in functions returning

2007-03-20  Armin Burgmeier  <armin@openismus.com>
	
	* libgda/src/column.ccg:
	* libgda/src/dictfield.ccg:
	* libgda/src/datamodel.ccg:
	* libgda/src/parameterlist.ccg:
	* libgda/src/datahandler.ccg:
	* libgda/src/row.ccg: Call Value constructor with the GValue* as
	argument in functions returning a Gnome::Gda::Value, so that it also
	works if the value exists but is null.

	* libgda/libgdamm/value.cc: Added explicit check for values that have an
	underlaying GValue but which is null in Value::compare().

	svn path=/libgdamm/trunk/; revision=1050

2007-03-19  Armin Burgmeier  <armin@openismus.com>

	Set g-type property on construction as the C implementation does,

2007-03-18  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/parameter.hg:
	* libgda/src/parameter.ccg: Set g-type property on construction as the
	C implementation does, otherwise the value is always NULL. Added a
	constructor that takes a const char*, otherwise
	Parameter::create("foo", "bar") calls actually
	Parameter::create(ustring, bool). Just call Value constructor with the
	GValue* as argument in get_value() and get_default_value(). This works
	also if the value is NULL.

	svn path=/libgdamm/trunk/; revision=1049

2007-03-19  Armin Burgmeier  <armin@openismus.com>

	Make sure that the underlaying GValue has the correct type before setting

2007-03-18  Armin Burgmeier  <armin@openismus.com>

	* libgda/libgdamm/value.cc: Make sure that the underlaying GValue has
	the correct type before setting a new value.

	svn path=/libgdamm/trunk/; revision=1048

2007-03-11  Armin Burgmeier  <armin@openismus.com>

	Changed GDA_DICT_TYPE to GDA_DICT_FUNCTION in _CLASS_GOBJECT invocation.

2007-03-11  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/dictfunction.hg: Changed GDA_DICT_TYPE to
	GDA_DICT_FUNCTION in _CLASS_GOBJECT invocation.

	svn path=/libgdamm/trunk/; revision=1047

2007-03-09  Armin Burgmeier  <armin@openismus.com>

	Renamed the setters for int64 to set_int64() and set_uint64()

2007-03-09  Armin Burgmeier  <armin@openismus.com>

	* libgda/libgdamm/value.h:
	* libgda/libgdamm/value.cc: Renamed the setters for int64 to
	set_int64() and set_uint64() respectively, to avoid conflicts with
	set(GType), which is a gulong (and therefore a guint64) on 64 bit
	systems.

	* libgda/libgdamm.h: Added libgdamm/serveroperation.h to includes.

	svn path=/libgdamm/trunk/; revision=1042

2007-02-28  Johannes Schmid  <johannes.schmid@openismus.com>

	Removed items that are already done

	2007-02-28  Johannes Schmid <johannes.schmid@openismus.com>

	* TODO:
	Removed items that are already done

	* libgda/src/blob.hg:
	* libgda/src/client.hg:
	* libgda/src/column.hg:
	* libgda/src/columnindex.hg:
	* libgda/src/command.hg:
	* libgda/src/connection.hg:
	* libgda/src/connectionevent.hg:
	* libgda/src/datamodel.hg:
	* libgda/src/datamodeliter.hg:
	* libgda/src/datamodelrow.hg:
	* libgda/src/dictfunction.hg:
	* libgda/src/entity.hg:
	* libgda/src/entityfield.hg:
	* libgda/src/object.hg:
	* libgda/src/parameter.hg:
	* libgda/src/parameterlist.hg:
	* libgda/src/query.hg:
	* libgda/src/queryfield.hg:
	* libgda/src/queryfieldfunc.hg:
	* libgda/src/referer.hg:
	* libgda/src/renderer.hg:
	* libgda/src/serveroperation.hg:
	* libgda/src/serverprovider.hg:
	* libgda/src/transactionstatus.hg:
	* libgda/src/xmlstorage.hg:

	Added groups for all classes that have documentation and fixed
	the trivial doxygen errors.

	svn path=/libgdamm/trunk/; revision=1039

2007-02-27  Johannes Schmid  <johannes.schmid@openismus.com>

	Wrapped GdaDictFunction and GdaQueryFieldFunc

	2007-02-27  Johannes Schmid <johannes.schmid@openismus.com>

	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/dictfunction.ccg:
	* libgda/src/dictfunction.hg:
	* libgda/src/queryfieldfunc.ccg:
	* libgda/src/queryfieldfunc.hg:
	* tools/m4/convert_libgdamm.m4:

	Wrapped GdaDictFunction and GdaQueryFieldFunc

	svn path=/libgdamm/trunk/; revision=1038

2007-02-25  Armin Burgmeier  <arminb@src.gnome.org>

	Fixed misspelled #ifdef GLIBMM_EXCEPTIONS_ENABLED from the last commit

	svn path=/libgdamm/trunk/; revision=1034

2007-02-25  Armin Burgmeier  <armin@openismus.com>

	Made libgdamm build without exceptions enabled.

2007-02-25  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/connection.hg:
	* libgda/src/connection.ccg:
	* libgda/src/parameterlist.ccg:
	* libgda/src/serverprovider.hg:
	* libgda/src/serverprovider.ccg:
	* libgda/src/datamodelrow.hg:
	* libgda/src/parameterlist.hg:
	* examples/introspection/main.cc:
	* examples/simple/main.cc: Made libgdamm build without exceptions
	enabled.

	svn path=/libgdamm/trunk/; revision=1033

2007-02-25  Armin Burgmeier  <armin@openismus.com>

	Added convenience function to restrict the values of a paremeter with

2007-02-25  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/parameterlist.hg:
	* libgda/src/parameterlist.ccg: Added convenience function to restrict
	the values of a paremeter with given name.

	svn path=/libgdamm/trunk/; revision=1031

2007-02-15  Armin Burgmeier  <armin@openismus.com>

	Wrapped GdaQueryJoin.

2007-02-15  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/queryjoin.ccg:
	* libgda/src/queryjoin.hg:
	* libgda/src/Makefile_list_of_hg.am_fragment: Wrapped GdaQueryJoin.

	* libgda/src/query.hg: Wrapped functions that deal with joins, wrapped
	signals.

	* libgda/src/entityfield.hg: Wrapped gda_entity_field_set_type().

	* libgda/src/datamodel.hg: Removed wrapper for
	gda_data_model_get_column_position() because that method does not
	exist anymore.

	* tools/m4/convert_libgdamm.m4: Added new conversions.

	svn path=/libgdamm/trunk/; revision=1026

2007-02-15  Johannes Schmid  <johannes.schmid@openismus.com>

	Added debian package and an --enable-referece switch to configure. As

2007-02-15  Johannes Schmid  <johannes.schmid@openismus.com>

	* configure.in:
	* debian/changelog:
	* debian/compat:
	* debian/control:
	* debian/copyright:
	* debian/libgdamm-dev.install:
	* debian/libgdamm-doc.doc-base.libgdamm-reference:
	* debian/libgdamm-doc.docs:
	* debian/libgdamm-doc.install:
	* debian/libgdamm.install:
	* debian/rules:
	* docs/Makefile.am:
	Added debian package and an --enable-referece switch to
	configure. As libgda debian package does not yet exist,
	the depency information is currently wrong!

	svn path=/libgdamm/trunk/; revision=1025

2007-02-15  Murray Cumming  <murrayc@murrayc.com>

	Correct function names mentioned in the class overview documentation.

2007-02-15  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/client.hg: Correct function names mentioned in the class overview 
	documentation.

	svn path=/libgdamm/trunk/; revision=1022

2007-02-15  Murray Cumming  <murrayc@murrayc.com>

	Add documentation for execute*() methods. Add get_column_position(),

2007-02-15  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/connection.hg: Add documentation for execute*() methods.
	* libgda/src/datamodel.hg: Add get_column_position(), set_values().
	Corrected the doxygen comments for export_to_file() and export_to_string().
	These must be reformatted for doxygen. gtk-doc format is different.
	* libgda/src/datamodelarray.hg: Added commented-out 
	gda_data_model_array_copy_model() constructor.
	* tools/m4/convert_libgdamm.m4: Moved some ListHandle conversions into the .hg files, 
	because the ownership could be specific to the method.

	svn path=/libgdamm/trunk/; revision=1018

2007-02-14  Armin Burgmeier  <armin@openismus.com>

	Wrapped some missing methods, properties and signals.

2007-02-14  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/datamodel.ccg:
	* libgda/src/datamodel.hg:
	* libgda/src/dicttype.hg:
	* libgda/src/entityfield.hg:
	* libgda/src/parameter.hg:
	* libgda/src/dictconstraint.hg:
	* libgda/src/referer.hg:
	* libgda/src/queryfield.hg:
	* libgda/src/dict.hg:
	* libgda/src/dataproxy.hg:
	* libgda/src/serverprovider.hg:
	* libgda/src/datamodelindex.hg:
	* libgda/src/dictdatabase.hg: Wrapped some missing methods, properties
	and signals.

	* libgda/src/Makefile_list_of_hg.am_fragment: Restored alphabetical
	order.

	* tools/m4/convert_libgdamm.m4: Added new conversions.

	* tools/extra_defs_gen/generate_defs_gda.cc: Added
	GDA_TYPE_DICT_CONSTRAINT, GDA_TYPE_DICT_DATABASE and
	GDA_TYPE_DICT_FIELD:

	* libgda/src/libgda_methods.defs:
	* libgda/src/libgda_others.defs:
	* libgda/src/libgda_signals.defs:
	* libgda/src/libgda_vfuncs.defs: Regenerated.

	svn path=/libgdamm/trunk/; revision=1017

2007-02-14  Murray Cumming  <murrayc@murrayc.com>

	Added headers and footers.

2007-02-14  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Doxyfile.in:
	* docs/reference/libgdamm_footer.html_fragment:
	* docs/reference/libgdamm_header.html_fragment: Added headers and footers.

	svn path=/libgdamm/trunk/; revision=1012

2007-02-12  Murray Cumming  <murrayc@murrayc.com>

	Updated for latest API changes.

2007-02-12  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/datahandler.ccg:
	* libgda/src/datamodel.ccg:
	* libgda/src/dictfield.ccg:
	* libgda/src/dictfield.hg:
	* libgda/src/libgda_methods.defs:
	* libgda/src/parameter.ccg:
	* libgda/src/queryfieldvalue.hg:
	* libgda/src/row.ccg: Updated for latest API changes.

	svn path=/libgdamm/trunk/; revision=1008

2007-02-12  Johannes Schmid  <johannes.schmid@openismus.com>

	svn path=/libgdamm/trunk/; revision=1006

	2007-02-12  Johannes Schmid <johannes.schmid@openismus.com>

	* libgda/src/parameterlist.ccg:
	* libgda/src/parameterlist.hg:

	svn path=/libgdamm/trunk/; revision=1006

2007-02-12  Johannes Schmid  <johannes.schmid@openismus.com>

	Added proper constructors for Gda::ParameterList. The xml constructors are

	2007-02-12  Johannes Schmid <johannes.schmid@openismus.com>

	* libgda/src/parameterlist.ccg:
	* libgda/src/parameterlist.hg:
	* tools/m4/convert_libgdamm.m4:

	Added proper constructors for Gda::ParameterList. The xml constructors are ommitted (see #340989)

	svn path=/libgdamm/trunk/; revision=1005

2007-02-11  Murray Cumming  <murrayc@src.gnome.org>

	Updated TODO

	svn path=/libgdamm/trunk/; revision=1002

2007-02-10  MMurray Cumming  <murrayc@murrayc.com>

	Define groups with defgroup.

2007-02-10  MMurray Cumming  <murrayc@murrayc.com>

	* libgda/src/datahandler.hg:
	* libgda/src/entity.hg:
	* libgda/src/entityfield.hg:
	* libgda/src/queryobject.hg:
	* libgda/src/referer.hg:
	* libgda/src/renderer.hg: Define groups with defgroup.

	svn path=/libgdamm/trunk/; revision=1000

2007-02-10  Murray Cumming  <murrayc@src.gnome.org>

	Added lots of class documentation,         and dealt with some minor TODOs.

	svn path=/libgdamm/trunk/; revision=999

2007-02-10  Armin Burgmeier  <armin@openismus.com>

	Added QueryFieldField(query, field, target, value_provider) convenience

2007-02-10  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/queryfieldfield.ccg:
	* libgda/src/queryfieldfield.hg: Added QueryFieldField(query, field,
	target, value_provider) convenience constructor.

	* libgda/src/query.ccg:
	* libgda/src/query.hg: Added another constructor that takes a query
	type, added default arguments for set_order_by_field().

	svn path=/libgdamm/trunk/; revision=996

2007-02-09  Murray Cumming  <murrayc@murrayc.com>

	Use glibmm tags to link to glibmm documentation where appropriate. And

2007-02-09  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Doxyfile.in:
	* docs/reference/Makefile.am: Use glibmm tags to link to 
	glibmm documentation where appropriate.
	And upload to a temporary location.
	* docs/reference/glibmm_doxygen_tags: Added, using a 
	copy rather than a relative path, for convenience.
	* libgda/src/libgda_docs.xml: Regenerated.

	svn path=/libgdamm/trunk/; revision=991

2007-02-09  MMurray Cumming  <murrayc@murrayc.com>

	Regenerated.

2007-02-09  MMurray Cumming  <murrayc@murrayc.com>

	* libgda/src/libgda_enums.defs:
	* libgda/src/libgda_methods.defs:
	* libgda/src/libgda_signals.defs: Regenerated.
	* libgda/src/connection.hg:

	* libgda/src/datamodel.hg:
	* libgda/src/dataproxy.hg:
	* libgda/src/dictfield.hg:
	* libgda/src/object.hg:
	* tools/m4/convert_libgdamm.m4: Updated for changed parameter types.

	svn path=/libgdamm/trunk/; revision=990

2007-02-05  Murray Cumming  <murrayc@murrayc.com>

	Renamed is_modif_query() to is_modify_query(), and use the new C function

2007-02-05  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/libgda_methods.defs:
	* libgda/src/query.hg: Renamed is_modif_query() to is_modify_query(), 
	and use the new C function name.
	* libgda/src/queryfieldvalue.hg: set_is_parameter(), set_not_null(): 
	Add default parameter value.

	svn path=/libgdamm/trunk/; revision=980

2007-02-04  Armin Burgmeier  <armin@openismus.com>

	Began section about building SQL queries via the API, replied to some

2007-02-04  Armin Burgmeier  <armin@openismus.com>

	* docs/tutorial/libgnomedbmm-tut.xml: Began section about building SQL
	queries via the API, replied to some comments from Murray.

	svn path=/libgdamm/trunk/; revision=979

2007-02-04  Armin Burgmeier  <armin@arbur.net>

	Added set(const char*) overload, otherwise the Value(const char*)

2007-02-04  Armin Burgmeier  <armin@arbur.net>

	* libgda/libgdamm/value.h:
	* libgda/libgdamm/value.cc: Added set(const char*) overload, otherwise
	the Value(const char*) constructor calls set(bool) after having
	initialized the type to string.

	svn path=/libgdamm/trunk/; revision=978

2007-02-04  Armin Burgmeier  <armin@arbur.net>

	Wrapped GdaQueryFieldValue.

2007-02-04  Armin Burgmeier  <armin@arbur.net>

	* libgda/src/queryfieldvalue.ccg:
	* libgda/src/queryfieldvalue.hg:
	* libgda/src/Makefile_list_of_hg.am_fragment: Wrapped
	GdaQueryFieldValue.

	* tools/m4/convert_libgdamm.m4: Added needed conversions.

	* libgda/src/query.hg: Wrapped set/get_condition.

	* libgda/libgdamm.h: Added queryfieldvalue.h to includes.

	svn path=/libgdamm/trunk/; revision=977

2007-02-04  Armin Burgmeier  <armin@arbur.net>

	Added QueryFieldField(query, field, target) convenience constructor.

2007-02-04  Armin Burgmeier  <armin@arbur.net>

	* libgda/src/queryfieldfield.hg:
	* libgda/src/queryfieldfield.ccg: Added QueryFieldField(query, field,
	target) convenience constructor.

	* libgda/src/querycondition.ccg:
	* libgda/src/querycondition.hg:
	* libgda/src/Makefile_list_of_hg.am_fragment: Wrapped
	GdaQueryCondition.

	* tools/extra_defs_gen/generate_defs_gda.cc:
	* libgda/src/libgda_signals.defs: Added GdaQueryCondition and
	GdaQueryJoin and regenerated libgda_signals.defs.

	* tools/m4/convert_libgdamm.m4: Added needed conversions.

	svn path=/libgdamm/trunk/; revision=976

2007-02-03  Armin Burgmeier  <armin@arbur.net>

	Wrapped GdaQueryFieldField, GdaQueryFieldAll.

2007-02-03  Armin Burgmeier  <armin@arbur.net>

	* libgda/src/queryfieldfield.ccg: 
	* libgda/src/queryfieldfield.hg:
	* libgda/src/queryfieldall.hg:
	* libgda/src/queryfieldall.ccg:
	* libgda/src/Makefile_list_of_hg.am_fragment: Wrapped
	GdaQueryFieldField, GdaQueryFieldAll.

	* tools/extra_defs_gen/generate_defs_gda.cc:
	* libgda/src/libgda_signals.defs: Added GdaQueryField* classes to
	output and regenerated libgda_signals.defs.

	* libgda/libgdamm.h: Added libgdamm/queryfieldagg.h,
	libgdamm/queryfieldall.h, libgdamm/queryfieldfield.h.

	svn path=/libgdamm/trunk/; revision=975

2007-02-03  Armin Burgmeier  <armin@arbur.net>

	Fixed some missing refreturns

2007-02-03  Armin Burgmeier  <armin@arbur.net>

	* libgda/src/query.hg: Fixed some missing refreturns

	* libgda/src/dictfield.hg: Fixed _CLASS_GOBJECT invocation (third
	parameter was GDA_DICT_TYPE instead of GDA_DICT_FIELD).

	* libgda/src/querytarget.ccg: Fixed order of properties in _CONSTRUCT
	macro to match the one gda_query_target_new uses.

	svn path=/libgdamm/trunk/; revision=974

2007-02-02  Armin Burgmeier  <armin@arbur.net>

	Wrapped GdaQueryTarget.

2007-02-02  Armin Burgmeier  <armin@arbur.net>

	* libgda/src/querytarget.hg:
	* libgda/src/querytarget.ccg:
	* libgda/src/Makefile_list_of_hg.am_fragment: Wrapped GdaQueryTarget.

	* tools/extra_defs_gen/generate_defs_gda.cc:
	* libgda/src/libgda_signals.defs: Added GDA_TYPE_QUERY_FIELD and
	GDA_TYPE_QUERY_TARGET to defs generation and regenerated
	libgda_signals.defs.

	* libgda/src/query.hg: Wrapped further GdaQuery API.

	* tools/m4/convert_libgdamm.m4: Added new conversions belonging to
	GdaQueryTarget.

	svn path=/libgdamm/trunk/; revision=973

2007-01-31  Johannes Schmid  <johannes.schmid@openismus.com>

	Use Gda::DataModelter instead of GdaDataModelIter

	2007-01-31  Johannes Schmid <johannes.schmid@openismus.com>

	* libgda/src/datamodel.hg:
	* tools/m4/convert_libgdamm.m4:
	Use Gda::DataModelter instead of GdaDataModelIter

	* libgda/src/object.hg:
	Enabled changed() signal as I might be useful

	* libgda/src/queryfield.ccg:
	* libgda/src/queryfield.hg:
	Fixed file header

	svn path=/libgdamm/trunk/; revision=969

2007-01-30  Murray Cumming  <murrayc@murrayc.com>

	Added new wrappers. Uncommented methods that used these classes. Added

2007-01-30  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/dictconstraint.ccg:
	* libgda/src/dictconstraint.hg:
	* libgda/src/dictfield.ccg:
	* libgda/src/dictfield.hg:
	* libgda/src/dictfunction.ccg:
	* libgda/src/dictfunction.hg:
	* libgda/src/dicttable.ccg:
	* libgda/src/dicttable.hg: Added new wrappers.
	* libgda/src/dictdatabase.hg: Uncommented methods that used these classes.
	* tools/m4/convert_libgdamm.m4: Added necessary conversions.
	* libgda/src/datamodelfiltersql.hg:
	* libgda/src/datamodelhash.hg: 
	* libgda/src/datamodelimport.hg: Added class documentation based on the documentation.

	svn path=/libgdamm/trunk/; revision=967

2007-01-30  Murray Cumming  <murrayc@murrayc.com>

	Added wrappers.

2007-01-30  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/datamodelfiltersql.ccg:
	* libgda/src/datamodelfiltersql.hg:
	* libgda/src/datamodelhash.ccg:
	* libgda/src/datamodelhash.hg:
	* libgda/src/datamodelimport.ccg:
	* libgda/src/datamodelimport.hg: Added wrappers.
	* libgda/src/datamodelarray.ccg:
	* libgda/src/transactionstatus.ccg: Use _CONSTRUCT() instead of using ConstructParams() directly.

	svn path=/libgdamm/trunk/; revision=966

2007-01-30  Murray Cumming  <murrayc@murrayc.com>

	Made them all inherit from Gda::Object, not Glib::Object, and made them

2007-01-30  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/dict.hg:
	* libgda/src/dictaggregate.hg:
	* libgda/src/dictdatabase.ccg:
	* libgda/src/dictdatabase.hg:
	* libgda/src/dicttype.hg: Made them all inherit from Gda::Object, not Glib::Object, 
	and made them all implement the XmlStorage interface.
	Added class documentation based on the C documentation, and put them all in a Dictionaries 
	doxygen group. Wrapped some of their methods.
	Several Dict* objects still need to be wrapped.
	* libgda/src/xmlstorage.hg: Added class documentation.
	* tools/m4/convert_libgdamm.m4: Added necessary conversion.

	svn path=/libgdamm/trunk/; revision=964

2007-01-28  Murray Cumming  <murrayc@murrayc.com>

	Added some stuff. Copy/pasted stuff from the hildon-libsmm equivalent.

2007-01-28  Murray Cumming  <murrayc@murrayc.com>

	* TODO: Added some stuff.
	* docs/reference/Makefile.am: Copy/pasted stuff from the hildon-libsmm equivalent.
	* libgda/src/client.hg:
	* libgda/src/connection.hg:
	* libgda/src/datamodel.hg:
	* libgda/src/datamodelarray.hg:
	* libgda/src/datamodelindex.hg:
	* libgda/src/datamodeliter.hg:
	* libgda/src/datamodelquery.hg:
	* libgda/src/datamodelrow.hg:
	* libgda/src/dataproxy.hg:
	* libgda/src/dict.hg:
	* libgda/src/entity.hg:
	* libgda/src/entityfield.hg:
	* libgda/src/object.hg:
	* libgda/src/parameter.ccg:
	* libgda/src/parameter.hg:
	* libgda/src/providerinfo.hg:
	* libgda/src/query.hg:
	* libgda/src/queryfield.hg:
	* libgda/src/queryfieldagg.hg:
	* libgda/src/row.hg:
	* libgda/src/serveroperation.hg:
	* libgda/src/serverprovider.hg:
	* tools/m4/convert_libgdamm.m4: Added lots of refreturn and constversion options, 
	added some const overloads, and made some methods const.

	svn path=/libgdamm/trunk/; revision=954

2007-01-27  Murray Cumming  <murrayc@murrayc.com>

	Added overloads of update_dbms_meta_data() that take 1 or no arguments.

2007-01-27  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/dict.ccg:
	* libgda/src/dict.hg: Added overloads of update_dbms_meta_data() that 
	take 1 or no arguments.

	svn path=/libgdamm/trunk/; revision=949

2007-01-27  Armin Burgmeier  <armin@openismus.com>

	Added datamodelarray.h.

2007-01-27  Armin Burgmeier  <armin@openismus.com>

	* libgda/libgdamm.h: Added datamodelarray.h.

	* libgda/libgdamm/value.h: Added ValueTraits struct and ValueList,
	ValueSList typedefs to handle GValue-containing GLists correctly.

	* libgda/src/dataproxy.hg:
	* libgda/src/dataproxy.ccg:
	* libgda/src/datamodel.hg: Adjusted to use ValueList for functions
	taking/returning lists of GValues. Also made
	GdaDataModel::create_iter() return a Glib::RefPtr<DataModelIter>
	instead of GdaDataModelIter*.

	* tools/m4/convert_libgdamm.m4: Added conversion from
	GdaDataModelIter* to Glib::RefPtr<DataModelIter>.

	svn path=/libgdamm/trunk/; revision=947

2007-01-23  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

	svn path=/libgdamm/trunk/; revision=940

2007-01-21  Johannes Schmid  <johannes.schmid@openismus.com>

	Wrapped GdaQueryField and GdaQueryFieldAgg

	2007-01-21  Johannes Schmid <johannes.schmid@openismus.com>

	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/queryfield.ccg:
	* libgda/src/queryfield.hg:
	* libgda/src/queryfieldagg.ccg:
	* libgda/src/queryfieldagg.hg:
	Wrapped GdaQueryField and GdaQueryFieldAgg

	* libgda/src/libgda_methods.defs:
	Regenerated (this time from correct sources...)

	* libgda/src/libgda_signals.defs:
	* libgda/src/parameterlist.ccg:
	* libgda/src/parameterlist.hg:
	Fixed GdaParameterList signals

	* libgda/src/blobop.hg:
	Wrapped read_all/write_all

	* libgda/src/parameter.ccg:
	* libgda/src/parameter.hg:
	Wrapped gda_parameter_get_alphanum_name

	* libgda/src/datamodelindex.hg:
	* libgda/src/object.hg:
	Added TODOs

	* tools/m4/convert_libgdamm.m4:
	Added new conversions

	* TODO:
	Added some more TODOs

	svn path=/libgdamm/trunk/; revision=937

2007-01-20  Murray Cumming  <murrayc@murrayc.com>

	Require glibmm 2.12, because we need the new Value::init(Value) method

2007-01-20  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Require glibmm 2.12, because we need the new Value::init(Value) method

	svn path=/libgdamm/trunk/; revision=932

2007-01-19  Johannes Schmid  <johannes.schmid@openismus.com>

	Wrapped even more unwrapped methods. Added TODO about methods taking a

	2007-01-19  Johannes Schmid <johannes.schmid@openismus.com>

	* libgda/src/connection.hg:
	* libgda/src/object.hg:
	* libgda/src/serverprovider.hg:
	* tools/m4/convert_libgdamm.m4:

	Wrapped even more unwrapped methods. Added TODO about methods taking a GType argument

	svn path=/libgdamm/trunk/; revision=931

2007-01-18  Johannes Schmid  <johannes.schmid@openismus.com>

	libgda/src/datamodelrow.hg Wrapped some unwrapped methods

	2007-01-18  Johannes Schmid <johannes.schmid@openismus.com>

	* libgda/src/datamodelrow.hg
	* libgda/src/datamodelindex.hg:
	Wrapped some unwrapped methods

	* libgda/src/libgda_methods.defs:
	regenerated

	svn path=/libgdamm/trunk/; revision=926

2007-01-18  Johannes Schmid  <jhs@src.gnome.org>

	:

	svn path=/libgdamm/trunk/; revision=925

2007-01-17  Armin Burgmeier  <armin@openismus.com>

	Wrapped GdaDataProxy.

2007-01-17  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/dataproxy.hg:
	* libgda/src/dataproxy.ccg:
	* libgda/src/Makefile_list_of_hg.am_fragment: Wrapped GdaDataProxy.

	* tools/extra_defs_gen/generate_defs_gda.cc: Added GDA_TYPE_DATA_PROXY
	to output.

	* libgda/src/libgda_signals.defs: Regenerated to contain properties
	and signals from GdaDataProxy.

	svn path=/libgdamm/trunk/; revision=923

2007-01-17  Armin Burgmeier  <armin@openismus.com>

	Wrapped properties and signals.

2007-01-17  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/parameter.hg: Wrapped properties and signals.

	* libgda/src/datamodeliter.hg:
	* libgda/src/datamodeliter.ccg:
	* libgda/src/Makefile_list_of_hg.am_fragment: Wrapped
	GdaDataModelIter.

	* libgda/src/datamodelrow.hg: Added comment about missing create()
	method.

	* tools/extra_defs_gen/generate_defs_gda.cc:
	* libgda/src/libgda_signals.defs: Added GdaDataModelIter definitions
	to output and regenerated libgda_signals.defs.

	* libgda/src/parameterlist.hg: Added refreturn to find_param.

	* tools/m4/convert_libgdamm.m4: Added a new conversion.

	svn path=/libgdamm/trunk/; revision=921

2007-01-17  Armin Burgmeier  <armin@openismus.com>

	Made Gda::DataModelQuery actually derive from Gda::Object.

2007-01-17  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/datamodelquery.hg: Made Gda::DataModelQuery actually
	derive from Gda::Object.

	svn path=/libgdamm/trunk/; revision=919

2007-01-16  Johannes Schmid  <johannes.schmid@openismus.com>

	Fixed some unwrapped methods.

	2007-01-16  Johannes Schmid <johannes.schmid@openismus.com>

	* libgda/src/datamodel.hg:
	* libgda/src/connection.hg:
	* libgda/src/client.hg:
	* libgda/src/libgda_signals.defs (regenerated):

	Fixed some unwrapped methods.

	(Used a wrong commit message last time...)

	svn path=/libgdamm/trunk/; revision=914

2007-01-16  Johannes Schmid  <johannes.schmid@openismus.com>

	libgnomedb/gnome-db-selector.c libgnomedb/gnome-db-login-dialog.c

	2007-01-01  Johannes Schmid <johannes.schmid@openismus.com>

	* libgnomedb/gnome-db-selector.c
	* libgnomedb/gnome-db-login-dialog.c
	* libgnomedb/gnome-db-find-dialog.c
	* libgnomedb/gnome-db-gray-bar.c:

	Added construct properties to allow wrapping with libgnomedbmm (#391514)

	svn path=/libgdamm/trunk/; revision=913

2007-01-13  Murray Cumming  <murrayc@murrayc.com>

	Use _CONSTRUCT() macro instead of hard-coding the construct

2007-01-13  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/datamodelquery.ccg: Use _CONSTRUCT() macro instead of hard-coding 
	the construct implementation.

	svn path=/libgdamm/trunk/; revision=912

2007-01-13  Armin Burgmeier  <armin@openismus.com>

	Made Gda::DataModelQuery inherit from Gda::Object instead of Glib::Object,

2007-01-13  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/datamodelquery.hg:
	* libgda/src/datamodelquery.ccg: Made Gda::DataModelQuery inherit from
	Gda::Object instead of Glib::Object, changed constructor to take a
	Gda::Query argument.

	+       * libgda/libgdamm.h: Added datamodelquery.h to includes.

	svn path=/libgdamm/trunk/; revision=911

2007-01-13  Johannes Schmid  <johannes.schmid@openismus.com>

	Require libgda-3.0 instead of 2.0

	2007-01-13  Johannes Schmid <johannes.schmid@openismus.com>

	* libgda/libgdamm-3.0.pc.in:
	Require libgda-3.0 instead of 2.0

	* libgda/libgdamm.h:
	Added some files but still needs complete fixing

	* libgda/src/parameter.hg
	* libgda/src/renderer.hg:
	Fixed build with latest libgda, added TODO in GdaRenderer

	* libgda/src/datamodelquery.hg:
	Added correct create() method

	* tools/m4/convert_libgdamm.m4:
	Added conversion and fixed type

	svn path=/libgdamm/trunk/; revision=910

2007-01-12  Murray Cumming  <murrayc@murrayc.com>

	Removed some unnecessary NO_GTYPE options from the _WRAP_ENUM() statements

2007-01-12  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/datamodel.hg:
	* libgda/src/datasourceinfo.ccg:
	* libgda/src/datasourceinfo.hg:
	* libgda/src/parameter.hg:
	* libgda/src/query.ccg:
	* libgda/src/query.hg:
	* libgda/src/renderer.ccg:
	* libgda/src/renderer.hg: Removed some unnecessary NO_GTYPE options from the 
	_WRAP_ENUM() statements (this has been fixed in libgda), and removed some unnecessary 
	includes of C headers from our C++ headers.

	svn path=/libgdamm/trunk/; revision=909

2007-01-11  Murray Cumming  <murrayc@murrayc.com>

	Remove create_blob() and fetch_blob_by_id(), because they have been

2007-01-11  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/serverprovider.hg: Remove create_blob() and fetch_blob_by_id(), 
	because they have been removed from libgda.

	svn path=/libgdamm/trunk/; revision=908

2007-01-11  Murray Cumming  <murrayc@murrayc.com>

	Inherit from the interfaces that we implement. execute(): Remove the const

2007-01-11  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/query.hg: Inherit from the interfaces that we implement.
	execute(): Remove the const overload. It does not seem appropriate.
	get_parent_query(): Use refreturn to take a reference.
	* libgda/src/renderer.hg: Make is_valid() const.
	* libgda/src/queryobject.hg:
	* libgda/src/xmlstorage.hg: Added some mostly unimportant TODO comments.

	svn path=/libgdamm/trunk/; revision=907

2007-01-10  Johannes Schmid  <johannes.schmid@openismus.com>

	Wrapped GdaBlob and GdaBlobOp

	2007-01-10  Johannes Schmid <johannes.schmid@openismus.com>

	* libgda/src/blobop.hg:
	* libgda/src/blobop.ccg:
	* libgda/src/blob.hg:
	* libgda/src/blob.ccg:
	Wrapped GdaBlob and GdaBlobOp

	* libgda/src/serverprovider.hg:
	Used Gda::Blob instead of GdaBlob

	svn path=/libgdamm/trunk/; revision=906

2007-01-10  Armin Burgmeier  <armin@openismus.com>

	Wrapped GdaReferer, GdaRenderer, GdaXmlStorage and parts of GdaQuery.

2007-01-08  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/referer.hg:
	* libgda/src/referer.ccg:
	* libgda/src/renderer.hg:
	* libgda/src/renderer.ccg:
	* libgda/src/xmlstorage.hg:
	* libgda/src/xmlstorage.ccg:
	* libgda/src/queryobject.hg:
	* libgda/src/queryobject.ccg:
	* libgda/src/query.hg:
	* libgda/src/query.ccg:
	* libgda/src/Makefile_list_of_hg.am_fragment: Wrapped 
	GdaReferer,
	GdaRenderer, GdaXmlStorage and parts of GdaQuery.

	* tools/m4/convert_libgdamm.m4: Added new conversions.

	svn path=/libgdamm/trunk/; revision=905

2007-01-09  Murray Cumming  <murrayc@murrayc.com>

	add_event(string): Renamed to add_event_string(), because it is not really

2007-01-09  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/connection.hg: add_event(string): Renamed to add_event_string(), 
	because it is not really the same as add_event() and because it now returns 
	something.

	svn path=/libgdamm/trunk/; revision=904

2007-01-09  Murray Cumming  <murrayc@src.gnome.org>

	moving

	svn path=/libgdamm/trunk; revision=893

2007-01-09  Murray Cumming  <murrayc@src.gnome.org>

	moving

	svn path=/libgdamm/trunk; revision=892

2007-01-09  Murray Cumming  <murrayc@src.gnome.org>

	moving

	svn path=/libgdamm/trunk; revision=891

2007-01-09  Murray Cumming  <murrayc@src.gnome.org>

	Moving stuff around so that each module has its own tags,trunk,branches directories

	svn path=/libgdamm/trunk/; revision=879

2006-12-28  Murray Cumming  <murrayc@murrayc.com>

	get_sql_from_value(), get_str_from_value(): Made these const.

2006-12-28  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/datahandler.hg: get_sql_from_value(),  get_str_from_value():
	Made these const.
	* libgda/src/handlerbin.hg:
	* libgda/src/handlertime.hg: Added TODO next to the comments from Armin,
	so we remember to think about them later.

2006-12-28  Armin Burgmeier  <armin@openismus.com>

	Wrapped data handlers.

2006-12-24  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/datahandler.hg:
	* libgda/src/datahandler.ccg:
	* libgda/src/handlerstring.hg:
	* libgda/src/handlerstring.ccg:
	* libgda/src/handlerboolean.hg:
	* libgda/src/handlerboolean.ccg:
	* libgda/src/handlertime.hg:
	* libgda/src/handlertime.ccg:
	* libgda/src/handlernumerical.hg:
	* libgda/src/handlernumerical.ccg:
	* libgda/src/handlerbin.hg:
	* libgda/src/handlerbin.ccg:
	* libgda/src/handlertype.hg:
	* libgda/src/handlertype.ccg:
	* libgda/src/Makefile_list_of_hg.am_fragment: Wrapped data handlers.

2006-12-23  Murray Cumming  <murrayc@src.gnome.org>

	Added missing files.

2006-12-23  Armin Burgmeier  <armin@openismus.com>

	Wrapped GdaDataModelRow and GdaDataModelArray.

2006-12-22  Armin Burgmeier  <armin@openismus.com>

	* libgda/src/datamodelrow.hg:
	* libgda/src/datamodelarray.hg:
	* libgda/src/datamodelrow.ccg:
	* libgda/src/datamodelarray.ccg:
	* libgda/src/Makefile_list_of_hg.am_fragment: Wrapped GdaDataModelRow
	and GdaDataModelArray.

	* libgda/src/client.hg: Added db_name parameter to
	prepare_create_database() and prepare_drop_database().

	* tools/extra_defs_gen/generate_defs_gda.cc: Added defs for
	GDA_DATA_MODEL_ROW to output.

	* libgda/src/libgda_methods.defs:
	* libgda/src/libgda_signals.defs: Regenerated.

2006-12-15  Murray Cumming  <murrayc@murrayc.com>

	Added DataModelQuery class, which implements the DataModel interface.

2006-12-15  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/datamodelquery.ccg:
	* libgda/src/datamodelquery.hg: Added DataModelQuery class, which
	implements the DataModel interface. There are a few more of these
	DataModel* classes to wrap.
	* tools/m4/convert_libgdamm.m4: Added new conversions.
	* libgda/src/datamodel.hg: Ignore gda_data_model_move_iter_at_row,
	gda_data_model_move_iter_next, and gda_data_model_move_iter_prev,
	which have become private API in libgda.
	* libgda/src/libgda_enums.defs:
	* libgda/src/libgda_methods.defs: Regenerated.

2006-11-30  Armin Burgmeier  <armin@openismus.com>

	Require libgda-3.0 >= 2.99.2. Moved transaction.hg to

2006-11-29  Armin Burgmeier  <armin@openismus.com>

	* configure.in: Require libgda-3.0 >= 2.99.2.
	* libgda/src/Makefile_list_of_hg.am_fragment: Moved transaction.hg to
	transactionstatus.hg.

	* libgda/src/client.hg:
	* libgda/src/column.hg:
	* libgda/src/command.hg:
	* libgda/src/connection.ccg:
	* libgda/src/connection.hg:
	* libgda/src/dict.ccg:
	* libgda/src/dict.hg:
	* libgda/src/parameterlist.hg:
	* libgda/src/serverprovider.hg: Build fixes to build against libgda
	HEAD. Some functions had to be removed because the new API seems not
	to offer them anymore. Some other, new functions are still unwrapped.

	* libgda/src/transactionstatus.hg:
	* libgda/src/transactionstatus.ccg: New files, replacing
	transaction.hg respectively transaction.ccg.

	* tools/m4/convert_libgdamm.m4: Replaced Transaction by
	TransactionStatus.

	* libgda/src/libgda_methods.defs:
	* libgda/src/libgda_signals.defs: Regenerated.

2006-11-08  Murray Cumming  <murrayc@murrayc.com>

	Added get_column_index() and get_value_at(column_name). Renamed

2006-11-08  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/datamodel.ccg:
	* libgda/src/datamodel.hg: Added get_column_index() and
	get_value_at(column_name).
	* libgda/src/parameter.hg: Renamed get_gda_type() to get_g_type().
	* libgda/src/serverprovider.hg: Added get_info().

2006-11-08  Murray Cumming  <murrayc@murrayc.com>

	Added ServerProviderInfo typedef.

2006-11-08  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/serverprovider.hg: Added ServerProviderInfo typedef.
	* libgda/src/connection.ccg:
	* libgda/src/connection.hg: Added get_infos().

2006-11-08  Murray Cumming  <murrayc@murrayc.com>

	Added the Entity and EntityField interfaces. Added declare_param_user()

2006-11-08  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/entity.ccg:
	* libgda/src/entity.hg:
	* libgda/src/entityfield.ccg:
	* libgda/src/entityfield.hg: Added the Entity and
	EntityField interfaces.
	* libgda/src/parameter.hg: Added declare_param_user() and
	get_param_users().
	* tools/m4/convert_libgdamm.m4: Added necessary conversions.

2006-11-06  Murray Cumming  <murrayc@murrayc.com>

	Rename get/set_bool() to get/set_boolean(). Added get_g_type() and

2006-11-07  Murray Cumming  <murrayc@murrayc.com>

	* libgda/libgdamm/value.cc:
	* libgda/libgdamm/value.h: Rename get/set_bool() to get/set_boolean().
	Added get_g_type() and set(GType), for Values that contain a GType, such
	as the field types.
	* libgda/src/column.ccg:
	* libgda/src/column.hg: Added a hand-coded equal() function because it
	has been removed from libgda.
	Rename get/set_gda_type() to get/set_g_type().
	get_references(): Make it const.
	* libgda/src/libgda_methods.defs: Regenerate with h2defs.py.

2006-11-06  gMurray Cumming  <murrayc@murrayc.com>

	Derive a new Gnome::Gda::Value class, from Glib::ValueBase, as a variant

2006-11-06  gMurray Cumming  <murrayc@murrayc.com>

	* libgda/libgdamm/value.cc:
	* libgda/libgdamm/value.h: Derive a new
	Gnome::Gda::Value class, from Glib::ValueBase,
	as a variant type (which Glib::ValueBase is not,
	because it must be used via specialized derived template
	instantiations), including the gda-specific types. This
	API is simpler and less ugly than lots of value_*(Glib::Value)
	functions.
	* tools/m4/convert_libgdamm.m4:
	* libgda/src/column.ccg:
	* libgda/src/column.hg:
	* libgda/src/connection.hg:
	* libgda/src/datamodel.ccg:
	* libgda/src/datamodel.hg:
	* libgda/src/parameter.ccg:
	* libgda/src/parameter.hg:
	* libgda/src/parameterlist.ccg:
	* libgda/src/parameterlist.hg:
	* libgda/src/row.ccg:
	* libgda/src/row.hg:
	* libgda/src/serverprovider.hg:
	* examples/introspection/main.cc:
	* examples/simple/main.cc: Adapt to new API.

2006-10-21  Murray Cumming  <murrayc@murrayc.com>

	Wrap the GError types. Catch exception.

2006-10-21  Murray Cumming  <murrayc@murrayc.com>

	* libgda/libgdamm/value.cc:
	* libgda/libgdamm/value.h:
	* libgda/src/client.hg:
	* libgda/src/connection.ccg:
	* libgda/src/connection.hg:
	* libgda/src/datamodelindex.ccg:
	* libgda/src/datasourceinfo.ccg:
	* libgda/src/dict.ccg:
	* libgda/src/dictaggregate.ccg:
	* libgda/src/dictdatabase.ccg:
	* libgda/src/dicttype.ccg:
	* libgda/src/libgda_enums.defs:
	* libgda/src/object.ccg:
	* libgda/src/parameter.ccg:
	* libgda/src/parameter.hg:
	* libgda/src/parameterlist.ccg:
	* libgda/src/parameterlist.hg:
	* libgda/src/providerinfo.ccg: Wrap the GError types.
	* examples/introspection/main.cc: Catch exception.

2006-10-21  Murray Cumming  <murrayc@murrayc.com>

	Link to the correct library, now that we have changed the name.

2006-10-21  Murray Cumming  <murrayc@murrayc.com>

	* examples/Makefile.am_fragment: Link to the correct library, now that
	we have changed the name.
	* libgda/libgdamm/value.cc:
	* libgda/libgdamm/value.h: Add value_get/set utility methods for
	the non-gda generic glib types. These are not in glibmm because
	Glib::Value is not usually used as a variant, without using specific
	Glib::Value<> specializations.
	* examples/introspection/main.cc:
	* examples/simple/main.cc: Adapt for the new API.

2006-10-21  Murray Cumming  <murrayc@murrayc.com>

	Use ValueBase as a return type, instead of as an output parameter. This

2006-10-21  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/column.ccg:
	* libgda/src/column.hg:
	* libgda/src/datamodel.ccg:
	* libgda/src/datamodel.hg:
	* libgda/src/parameter.ccg:
	* libgda/src/parameter.hg:
	* libgda/src/parameterlist.ccg:
	* libgda/src/parameterlist.hg:
	* libgda/src/row.ccg:
	* libgda/src/row.hg: Use ValueBase as a return type,
	instead of as an output parameter. This loses the ability to do
	compile-time type-safe getting, but that is not very useful or
	safe with databases anyway.
	* libgda/libgdamm/value.cc:
	* libgda/libgdamm/value.h: Add get and set utility functions,
	matching the libgda ones. People getting a ValueBase will have
	to check the type and use a specific get method, deciding at
	runtime. That is not how ValueBase is usually used in gtkmm,
	but it is demanded by libgda, because the database structure
	is out of the control of the compiler.
	* examples/introspection/main.cc: Adapted for new API.

2006-10-21  Murray Cumming  <murrayc@murrayc.com>

	Add constants for libgda-specific GValue types.

2006-10-21  Murray Cumming  <murrayc@murrayc.com>

	* libgda/libgdamm/value.cc:
	* libgda/libgdamm/value.h: Add constants for libgda-specific
	GValue types.

2006-10-21  Murray Cumming  <murrayc@murrayc.com>

	equal(): Add extra checks, to match the extra checks that we had in

2006-10-21  Murray Cumming  <murrayc@murrayc.com>

	* libgda/libgdamm/value.cc: equal(): Add extra checks, to
	match the extra checks that we had in Gnome::Gda::Value in
	libgdamm 2.0.

2006-10-21  Murray Cumming  <murrayc@murrayc.com>

	Add some utility functions for working with Glib::Values with libgdamm:

2006-10-21  Murray Cumming  <murrayc@murrayc.com>

	* libgda/libgdamm/value.cc:
	* libgda/libgdamm/value.h: Add some utility functions for
	working with Glib::Values with libgdamm:
	value_compare(), value_compare_ex(), value_equal(),
	value_is_null(), value_is_number().
	* libgda/src/column.hg: Rename the gda_type_changed signal to
	g_type_changed() as in the C API.

2006-10-21  Murray Cumming  <murrayc@murrayc.com>

	Added prototype for GdaDataModelIter, which we should wrap properly. Added

2006-10-21  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/datamodel.ccg:
	* libgda/src/datamodel.hg: Added prototype for GdaDataModelIter,
	which we should wrap properly.
	Added DataModelHint and DataModelIOFormat enums and used them
	instead of the C enums.
	* tools/m4/convert_libgdamm.m4: Added enum conversions.

2006-10-21  Murray Cumming  <murrayc@murrayc.com>

	Removed Added

2006-10-21  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* libgda/Makefile.am:
	* libgda/libgdamm-2.0.pc.in: Removed
	* libgda/libgdamm-3.0.pc.in: Added
	* libgda/libgdamm/Makefile.am:
	* libgda/libgdamm/private/Makefile.am:
	* tools/m4/Makefile.am: Change the pkg-config name, the
	.so library name, and the include directory from 2.0 to
	3.0, to allow parallel installation with libgdamm-2.0.
	Note that libgdamm-2.0 wrapped libgda-1.2.

2006-10-21  Murray Cumming  <murrayc@murrayc.com>

	Regenerated. Regenerated with enums.pl Regenerated with h2defs.py

2006-10-21  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/libgda_docs.xml: Regenerated.
	* libgda/src/libgda_enums.defs: Regenerated with enums.pl
	* libgda/src/libgda_methods.defs: Regenerated with h2defs.py
	* libgda/src/client.ccg:
	* libgda/src/client.hg: Remove ClientSpecsType enum, and
	get_provider_specs() method.
	Added prepare_create_database() and prepare_drop_database().
	Rename create_database() and drop_database() to
	perform_create_database() and perform_drop_database(), taking
	ServerOperation instead of ParameterList.
	* libgda/src/connection.ccg:
	* libgda/src/connection.hg: Rename execute_command() methods
	to execute_select_command(). There are 2 other execute* functions
	to wrap, but I need to find out how the GList result should be used.
	Remove create_table(), drop_table(), create_index(), drop_index().
	Renamed supports() to supports_feature().
	* libgda/src/datamodel.hg: export_to_file(): Added rows parameters.
	* libgda/src/object.hg: Renamed changed to signal_emit_changed().
	Fixed typo in block_changed() method name.
	* libgda/src/serverprovider.hg: Removed get_specs(), perform_action_params(),
	create_database_cnc(), drop_database_cnc(), create_table(), drop_table(),
	create_index(), drop_index().
	supports_operation(): Added ParameterList parameter.
	Renamed supports() to supports_feature().
	* examples/simple/main.cc: Update for latest API, changing use of
	execute_command() to execute_select_command().

2006-08-15  Johannes Schmid  <jhs@src.gnome.org>

	Reverse changes made by mistake

2006-08-15  Johannes Schmid  <jhs@src.gnome.org>

	Fixed old files

2006-07-04  Murray Cumming  <murrayc@murrayc.com>

	Added ServerOperation. Added supports_operation(), create_operation(),

2006-07-04  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/serveroperation.ccg:
	* libgda/src/serveroperation.hg:
	* tools/m4/convert_libgdamm.m4: Added ServerOperation.
	* libgda/src/serverprovider.hg: Added supports_operation(),
	create_operation(), render_operation(), perform_operation(),
	fetch_blob_by_id().
	* libgda/src/libgda_enums.defs: Regenerated with enums.pl

2006-06-29  Murray Cumming  <murrayc@murrayc.com>

	Remove duplicate get/set_gda_type() functions. Add this to cvs, to fix the

2006-06-29  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/column.hg: Remove duplicate get/set_gda_type() functions.
	* libgda/src/dictdatabase.ccg: Add this to cvs, to fix the build.

2006-06-29  Murray Cumming  <murrayc@murrayc.com>

	Add new defs file for signals of interfaces, which must be hand-written.

2006-06-29  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/Makefile.am:
	* libgda/src/libgda.defs:
	* libgda/src/libgda_others.defs: Add new defs file for signals
	of interfaces, which must be hand-written.
	* libgda/src/libgda_methods.defs:
	* libgda/src/libgda_signals.defs: Regenerated.
	* libgda/src/libgda_vfuncs.defs: Remove these because they are
	not worth the code and memory size.
	* libgda/src/column.hg: Changed get_gdatype() to get_gda_type().
	Wrapped signals.
	* libgda/src/datamodel.hg: Wrapped the correct signals.
	* tools/extra_defs_gen/generate_defs_gda.cc: Commented-out interfaces,
	which can not be instantiated.

2006-06-11  Murray Cumming  <murrayc@murrayc.com>

	Added set/get_gda_type()

2006-06-11  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/column.hg: Added set/get_gda_type()
	* libgda/src/connectionevent.ccg:
	* libgda/src/connectionevent.hg: Added set/get_event_type().
	Changed get/set_number() to get/set_code(). Added get/set_gda_code().
	* libgda/src/libgda_methods.defs:  Regenerated with h2defs.py.
	* libgda/src/parameter.ccg:
	* libgda/src/parameter.hg: Added  get_gda_type(), has_restrict_values().
	* tools/m4/convert_libgdamm.m4: Added conversions for new enums.

2006-05-14  Murray Cummingg  <murrayc@murrayc.com>

	Added declare_connection() Added set_client()

2006-05-14  Murray Cummingg  <murrayc@murrayc.com>

	* libgda/src/client.hg: Added  declare_connection()
	* libgda/src/connection.hg: Added  set_client()
	* libgda/src/parameterlist.ccg:
	* libgda/src/parameterlist.hg: Added find(), add_param(), add_param_from_string),
	add_param_from_value(), merge(), is_coherent(), is_valid(), find_param(),
	find_param_for_user(), set_param_default_value(), set_param_default_alias(),
	get_param_default_value(), clear(), get_spec().
	* tools/m4/convert_libgdamm.m4: Use conversion macros and added some conversions.

2006-05-09  Murray Cumming  <murrayc@murrayc.com>

	Regenerated with h2defs.py

2006-05-09  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/libgda_methods.defs: Regenerated with h2defs.py
	* libgda/src/client.hg:
	* libgda/src/column.ccg:
	* libgda/src/column.hg:
	* libgda/src/connection.hg:
	* libgda/src/datamodel.ccg:
	* libgda/src/datamodel.hg:
	* libgda/src/parameter.ccg:
	* libgda/src/parameter.hg:
	* libgda/src/parameterlist.hg:
	* libgda/src/row.ccg:
	* libgda/src/row.hg:
	* libgda/src/serverprovider.hg: Use Glib::ValueBase instead of Gda::Value,
	and use it via an output parameter so that the caller can use a compile-time
	type-safe derived Glib::Value<> type. This requires the latest glibmm from cvs.
	* tools/m4/convert_libgdamm.m4:
	* libgda/libgdamm/Makefile.am:
	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/value.ccg:
	* libgda/src/value.hg: Removed, replace with:
	* libgda/libgdamm/value.cc:
	* libgda/libgdamm/value.h: which has some non-class functions.
	We need to add more stuff here that corresponds with the remaining
	functions in gda-value.h
	* examples/introspection/main.cc:
	* examples/simple/main.cc: Updated.

2006-05-08  Murray Cumming  <murrayc@murrayc.com>

	Removed reset() because it was removed from libgda.

2006-05-08  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/connection.ccg:
	* libgda/src/connection.hg: Removed reset() because it was removed
	from libgda.
	* libgda/src/datamodel.ccg:
	* libgda/src/datamodel.hg: Added get_attributes_at, create_iter() move_iter_at_row(),
	move_iter_nex(), move_iter_prev, send_hint(), import_from_string(), import_from_file(),
	row_changed(), row_inserted(), row_updated(), row_removed(), move_iter_at_row_default(),
	move_iter_next_default(), move_iter_prev_default().
	* tools/m4/convert_libgdamm.m4: Added const conversion.

2006-05-08  Murray Cumming  <murrayc@murrayc.com>

	Added open(), set_dsn(), set_username(), set_password(),

2006-05-08  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/connection.hg: Added open(), set_dsn(), set_username(),
	set_password(), get_provider_obj(), fetch_blob_by_id().
	* tools/m4/convert_libgdamm.m4: Added ServerProvider conversion.

2006-05-08  Murray Cumming  <murrayc@murrayc.com>

	Removed, because it was removed from the libgda API.

2006-05-08  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/datamodelbase.ccg:
	* libgda/src/datamodelbase.hg: Removed, because it was removed
	from the libgda API.
	* libgda/src/dictaggregate.ccg:
	* libgda/src/dictaggregate.hg:
	* libgda/src/dictdatabase.hg:
	* libgda/src/dicttype.ccg:
	* libgda/src/dicttype.hg:
	* libgda/src/object.ccg:
	* libgda/src/object.hg: New classes
	* libgda/src/Makefile_list_of_hg.am_fragment: Mention new files.
	* libgda/src/connection.ccg:
	* libgda/src/connection.hg: execute_single_command() renamed to
	execute_command().
	* libgda/src/dict.ccg:
	* libgda/src/dict.hg:
	* libgda/src/client.hg:
	* libgda/src/datamodel.ccg:
	* libgda/src/datamodel.hg:
	* libgda/src/parameter.ccg:
	* libgda/src/parameter.hg:
	* libgda/src/parameterlist.ccg:
	* libgda/src/parameterlist.hg:
	* libgda/src/providerinfo.ccg:
	* libgda/src/providerinfo.hg:
	* libgda/src/serverprovider.ccg:
	* libgda/src/serverprovider.hg: Various API changes. For instance,
	most classes now derived from Glib::Object, so must be use with
	Glib::RefPtr.
	* libgda/src/libgda_methods.defs: Updated with h2defs.py
	* libgda/src/libgda_signals.defs: Updated with extra_defs_gen.
	* tools/extra_defs_gen/generate_defs_gda.cc: Output .defs for the
	new types.
	* tools/m4/convert_libgdamm.m4: New conversions.
	* examples/introspection/main.cc:
	* examples/list_data_sources/main.cc:
	* examples/simple/main.cc: Update for new API.

2005-10-23  Murray Cumming  <murrayc@murrayc.com>

	Add equal() and get/set_title(). Regehnerated with h2defs.py. Use

	2005-10-23  Murray Cumming <murrayc@murrayc.com>

	* libgda/src/column.hg: Add equal() and
	get/set_title().
	* libgda/src/libgda_methods.defs: Regehnerated
	with h2defs.py.
	* libgda/src/parameterlist.hg: Use _IGNORE()
	to avoid warnings.
	* tools/m4/convert_libgdamm.m4: Added conversion
	for Column:equal().

2005-10-20  Murray Cumming  <murrayc@murrayc.com>

	Hide the C header, putting an implementation that needs it in the .cc

	2005-10-20  Murray Cumming <murrayc@murrayc.com>

	* libgda/libgdamm/config.cc:
	* libgda/libgdamm/config.h: Hide the C header,
	putting an implementation that needs it in
	the .cc file.
	* libgda/src/connection.ccg:
	* libgda/src/connection.hg: create_index():
	Use a DataModelIndex& instead of a
	GdaModelIndex*. Hide the C header.

2005-10-19  Murray Cumming  <murrayc@murrayc.com>

	Check for libgda-2.0 1.9.101 instead of 1.99. Strangely, it has decreased.

	2005-10-19  Murray Cumming <murrayc@murrayc.com>

	* configure.in: Check for libgda-2.0 1.9.101
	instead of 1.99. Strangely, it has decreased.
	* libgda/src/datamodel.hg: Use renamed GdaDataModel
	interface struct.

2005-09-28  Murray Cumming  <murrayc@murrayc.com>

	Increase need libgda version a bit.

2005-09-28  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Increase need libgda version a bit.
	* libgda/src/column.hg:
	* libgda/src/datamodel.hg:
	* libgda/src/libgda_methods.defs:
	* libgda/src/row.ccg:
	* libgda/src/row.hg:
	* tools/m4/convert_libgdamm.m4: Update for latest
	API changes.

2005-09-22  Murray Cumming  <murrayc@murrayc.com>

	This is now a GObject, so wrap it like one. It is therefore now used via

2005-09-22  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/column.hg: This is now a GObject,
	so wrap it like one. It is therefore now used
	via RefPtr.
	* libgda/src/connection.hg:
	create_blob(): Changed signature.
	* libgda/src/datamodel.hg: Removed several
	methods and vfuncs that have been removed from
	libgda's API.
	* libgda/src/libgda_methods.defs: Regenerate
	* libgda/src/libgda_vfuncs.defs: Update.
	* libgda/src/serverprovider.hg:
	create_blob(): Changed signature.
	* tools/extra_defs_gen/generate_defs_gda.cc:
	Remove XQL stuff, removed from libgda.
	* tools/m4/convert_libgdamm.m4: Use Column as
	a RefPtr.
	* examples/simple/main.cc: Update for changed API.

2005-09-21  Murray Cumming  <murrayc@murrayc.com>

	set_binary(), get_binary(): Hide the GdaBinary type completely, using

2005-09-21  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/value.ccg:
	* libgda/src/value.hg: set_binary(), get_binary():
	Hide the GdaBinary type completely, using guchar* and
	size instead. It is silly.

2005-09-21  Murray Cumming  <murrayc@murrayc.com>

	create_database(), drop_database(): Change parameter to const

2005-09-21  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/client.hg: create_database(),
	drop_database(): Change parameter to
	const ParameterList& instead of GdaParameterList*.
	* libgda/src/parameter.hg: Change a gdouble to double.
	* libgda/src/parameterlist.hg: Added templated add()
	method, so you do not need to explicitly create a
	Parameter object.
	* libgda/src/value.hg: set(binary): Change from
	GdaBinary* to const GdaBinary&.
	* tools/m4/convert_libgdamm.m4: Changed necessary
	conversions.

2005-09-16  Murray Cumming  <murrayc@murrayc.com>

	Updated with h2defs.py.

2005-09-16  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/libgda_methods.defs: Updated with h2defs.py.
	* libgda/src/value.ccg:
	* libgda/src/value.hg: Updated set_binary() and a
	constuctor for the changed libgda API.

2005-09-12  Murray Cumming  <murrayc@murrayc.com>

	Update to show that it now uses the libgda-2.0 API instead of the older

2005-09-12  Murray Cumming  <murrayc@murrayc.com>

	* libgda/libgdamm-2.0.pc.in: Update to show that it now
	uses the libgda-2.0 API instead of the older libgda API.
	* libgda/src/value.hg: Added reset_with_type().
	get_binary() now returns a GdaBinary*.
	Renamed get/set_vtype() to get/set_gdatype(). Added
	compare() and compare_ex().
	* tools/m4/convert_libgdamm.m4: Added needed conversion.

2005-09-10  Murray Cumming  <murrayc@murrayc.com>

	Added columnindex.hg, datamodelindex.hg Added ClientSpecsType. Changed

2005-09-10  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/Makefile_list_of_hg.am_fragment:
	Added columnindex.hg, datamodelindex.hg
	* libgda/src/client.hg: Added ClientSpecsType.
	Changed get_connection_list() to get_connections().
	Added notify_connection_closed_event(),
	get_provider_specs()
	* libgda/src/column.hg: Added get_dbms_type(),
	commit_update(),
	* libgda/src/columnindex.ccg:
	* libgda/src/columnindex.hg: New class.
	* libgda/src/connection.hg: Added clear_events_list(),
	value_to_sql_string(), and error signal.
	* libgda/src/datamodel.hg: Added append_values(),
	to_text_separated(), dump(), dump_as_string(), and
	various vfuncs and signals.
	* libgda/src/datamodelindex.ccg:
	* libgda/src/datamodelindex.hg: New class.
	* libgda/src/libgda_enums.defs: Regenerated with enums.pl.
	* libgda/src/libgda_signals.defs: Regenerated with extra_defs.
	* libgda/src/libgda_vfuncs.defs: Edited by hand.
	* libgda/src/serverprovider.ccg:
	* libgda/src/serverprovider.hg: Added reset_connection(),
	create_database(), drop_database(), get_specs(),
	perform_action_params(), create_database_cnc(), drop_database_cnc(),
	create_table(), drop_table(), create_index(), drop_index(),
	value_to_sql_string(), get_last_insert_id().

2005-08-23  Murray Cumming  <murrayc@murrayc.com>

	Added get_dsn_specs(), create_database(), drop_database(). Added reset().

2005-08-23  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/client.hg: Added get_dsn_specs(), create_database(),
	drop_database().
	* libgda/src/connection.hg: Added reset(). Renamed add_error*() to
	add_event*(). Added create_table(), drop_table(), create_index(),
	drop_index().
	* tools/m4/convert_libgdamm.m4: Use ConnectionEvent instead of Error.

2005-08-23  Murray Cumming  <murrayc@murrayc.com>

	Rename from datamodelcolumnattributes.

2005-08-23  Murray Cumming  <murrayc@murrayc.com>

	* libgda/libgdamm.h:
	* libgda/src/Makefile_list_of_hg.am_fragment:
	* libgda/src/column.ccg:
	* libgda/src/column.hg: Rename from
	datamodelcolumnattributes.
	* libgda/src/connection.hg:
	* libgda/src/connectionevent.ccg:
	* libgda/src/connectionevent.hg: Rename from error.*
	* libgda/src/datamodel.hg:
	* libgda/src/datamodelcolumnattributes.ccg:
	* libgda/src/datamodelcolumnattributes.hg: Removed.
	* libgda/src/error.ccg:
	* libgda/src/error.hg: Removed.

2005-08-23  Murray Cumming  <murrayc@murrayc.com>

	Use libgda-2.0 Update for new API.

2005-08-23  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Use libgda-2.0
	* examples/simple/main.cc: Update for new API.
	* libgda/libgdamm/config.cc:
	* libgda/libgdamm/config.h: Use renamed _free and _copy functions.
	* libgda/src/client.hg:
	* libgda/src/connection.ccg:
	* libgda/src/connection.hg: execute_*() methods now throw.
	* libgda/src/datamodel.hg:
	* libgda/src/datamodelcolumnattributes.ccg:
	* libgda/src/datamodelcolumnattributes.hg: Renamed to Column.
	* libgda/src/datasourceinfo.hg: Use renamed _free and _copy functions.
	* libgda/src/error.hg: Renamed to ConnectionEvent.
	* libgda/src/libgda_methods.defs: Regenerate with h2defs.py
	* libgda/src/row.hg: Added get/set_is_default().
	* libgda/src/value.ccg:
	* libgda/src/value.hg: get_binary() now returns a GdaBinary instead of
	gpointer.
	* tools/extra_defs_gen/generate_defs_gda.cc:
	* tools/m4/convert_libgdamm.m4: Updated for renamed types.

2005-02-04  Murray Cumming  <murrayc@murrayc.com>

	Replace the Value(gint64) and Value(guint64) constructors with static

2005-02-03  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/value.[hg|ccg]: Replace the Value(gint64) and
	Value(guint64) constructors with static create_as_* methods, to
	avoid conflicts on 64-bit systems. Bug #162253 from Daniel Holbach,
	who wrote part of the patch.

2005-01-11  Murray Cumming  <murrayc@murrayc.com>

	Changes to fix the build against the new libgda API. Rebuilt with

2005-01-11  Murray Cumming  <murrayc@murrayc.com>

	* Changes to fix the build against the new libgda API.
	* libgda/src/libgda_methods.defs: Rebuilt with h2defs.py
	* libgda/src/libgda_signals.defs: Rebuilt with extra_defs.
	* tools/m4/convert_libgda.m4: Renamed types.
	* libgda/src/: Renamed fieldattributes.[hg|ccg] to
	datamodelcolumnattributes.[hg|ccg]
	* libgda/src/datamodel.hg: This is now an interface.
	* libgda/src/: Aded datamodelbase.[hg|ccg].
	* libgda/src/client.[hg|ccg], datamodel.[hg|ccg]: Renamed types.
	* examples/list_data_sources/main.cc: Added try/catch block around
	the example.

2005-01-11  Murray Cumming  <murrayc@src.gnome.org>

	This is the HEAD branch. The libgda-1-2 branch builds against libgda 1.2.

2005-01-06  Murray Cumming  <murrayc@murrayc.com>

	Remove the implementation of the time_t constructor that I removed a

2005-01-06  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/value.ccg: Remove the implementation of the time_t
	constructor that I removed a couple of days ago, to fix the build.

2005-01-06  Daniel Holbach  <dh@mailempfang.de>

	Replace old LIBGNOMEMM_ stuff with LIBGLADEMM_.

	2005-01-06  Daniel Holbach <dh@mailempfang.de>

	* docs/reference/Doxyfile.in: Replace old LIBGNOMEMM_ stuff with
	LIBGLADEMM_.

2005-01-06  Murray Cumming  <murrayc@src.gnome.org>

	Actually commit the change.

2005-01-04  Murray Cumming  <murrayc@murrayc.com>

	Remove the time_t constructor, because it is ambiguous on 64-bit systems.

2005-01-04  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/value.hg: Remove the time_t constructor, because it
	is ambiguous on 64-bit systems. Bug #162253 from Daniel Holbach.

2004-11-30  Murray Cumming  <murrayc@src.gnome.org>

	http://www.gtkmm.org/docs/gtkmm-2.4/docs/reference/html/classGtk_1_1Table.html#a4

2004-11-30  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

2004-11-28  Murray Cumming  <murrayc@murrayc.com>

	Removed lots of extra ;s to fix problems with gcc 3.4.

2004-11-28  Murray Cumming  <murrayc@murrayc.com>

	* Removed lots of extra ;s to fix problems with gcc 3.4.

2004-07-08  Murray Cumming  <murrayc@src.gnome.org>

	Increased libgda version required.

2004-06-06  Murray Cumming  <murrayc@murrayc_debian>

	1.3.4:

2004-06-06  Murray Cumming  <murrayc@murrayc_debian>

	* libgda/src/libgda_methods.defs: Updated with h2defs.py.
	* libgda/src/datamodel.hg: Changed the update_column() and
	remove_column() arguments to match changes in libgda.

2004-06-06  Murray Cumming  <murrayc@murrayc.com>

	Added typedefs for Date, Time, Timestamp, and Geometric point, and used

2004-06-06  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/value.[hg|ccg]: Added typedefs for Date, Time, Timestamp,
	and Geometric point, and used them by value instead of by pointer.

2004-06-01  Murray Cumming  <murrayc@murrayc.com>

	Added operator==() and operator!=().

2004-06-01  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/value.[hg|ccg]: Added operator==() and operator!=().

2004-05-29  Murray Cumming  <murrayc@murrayc.com>

	Corrected libgdamm link.

2004-05-29  Murray Cumming  <murrayc@murrayc.com>

	* download.shtml: Corrected libgdamm link.

2004-05-28  Murray Cumming  <murrayc@src.gnome.org>

	increased version

2004-05-04  Murray Cumming  <murrayc@murrayc@murrayc.com>

	Hand-code the constructor because it does not just use properties.

2004-05-04  Murray Cumming  <murrayc@murrayc@murrayc.com>

	* libgda/src/transaction.[hg|cc]: Hand-code the constructor because
	it does not just use properties.

2004-05-04  Murray Cumming  <murrayc@murrayc.com>

	Added get_last_insert_id(), as wrapper for the new

2004-05-04  Murray Cumming  <murrayc@murrayc.com>

	* libgad/src/connection.hg: Added get_last_insert_id(), as wrapper for
	the new gda_connection_get_last_insert_id() function.

2004-04-29  Murray Cumming  <murrayc@murrayc.com>

	Override the destructor so that it closes the connection.

2004-04-30  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/connection.[hg|ccg]: Override the destructor so that it
	closes the connection.

2004-04-23  Murray Cumming  <murrayc@murayc.com>

	* libgda/src/fieldattributes.hg: Tell it to use the _new() function in
	the default constructor so that we don't get invalid null instances.

2004-04-23  Murray Cumming  <murrayc@murrayc.com>

	get_value_at(): Take a copy of the value so it is not freed twice.

2004-04-23  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/datamodel.hg: get_value_at(): Take a copy of the value
	so it is not freed twice.

2004-04-21  Murray Cumming  <murrayc@murrayc.com>

	Implemented the constructors.

2004-04-22  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/value.ccg: Implemented the constructors.

2004-04-21  Murray Cumming  <murrayc@murrayc.com>

	Added type_to_string() and type_from_string() static methods.

2004-04-21  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/value.hg: Added type_to_string() and type_from_string()
	static methods.

2004-04-20  Murray Cumming  <murrayc@murrayc.com>

	Update to use glibmm 2.4 gmmproc and extra_defs lib. Add an

2004-04-20  Murray Cumming  <murrayc@murrayc.com>

	* configure.in, tools/extra_defs/Makefile.am: Update to use glibmm
	2.4 gmmproc and extra_defs lib.
	* libgda/src/connection.hg: Add an execute_single_command() override
	that takes a string.
	* libgda/src/: Added FieldAttribute.
	* libgda/src/datamodel.hg: Added append_column(), update_column(),
	and remove_column().
	* libgda/src/transaction.hg: Added set/get_isolation_level();

2004-04-08  Murray Cumming  <murrayc@murrayc.com>

	Working bits of a patch from Alberto Paro. Depend on glibmm 2.4 instead of

2004-04-08  Murray Cumming  <murrayc@murrayc.com>

	Working bits of a patch from Alberto Paro.
	* libgda/libgdamm-2.0.p.in: Depend on glibmm 2.4 instead of gtkmm 2.0.
	* tools/extra_defs/Makefile.am: Link to the glibmm-2.3 library instead
	of the gtkmm 2.0 one.

2004-04-05  Murray Cumming  <murrayc@src.gnome.org>

	Increasd version

2004-04-05  Murray Cumming  <murrayc@murrayc.com>

	Added README.txt. Moved simple example to introspection. Added more

2004-04-05  Murray Cumming  <murrayc@murrayc.com>

	* examples/: Added README.txt. Moved simple example to
	introspection. Added more appropriate simple example.
	* libgda/src/command.hg: Add default parameter values.
	* libgda/src/connection.hg: Added overloads of execute methods that
	take no ParameterList.
	* libgda/src/parameterlist.hg: Hand-code add_parameter() to give the
	C function a copy, because it takes ownership.

	'

2004-04-04  Murray Cumming  <murrayc@murrayc.com>

	Use Value and ParameterList in API.

2004-04-04  Murray Cumming  <murrayc@murrayc.com>

	* Use Value and ParameterList in API.

2004-04-04  Murray Cumming  <murrayc@murrayc.com>

	Added wrappers for Value, Parameter, ParameterList.

2004-04-04  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/: Added wrappers for Value, Parameter, ParameterList.

2004-04-03  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

2004-03-30  Murray Cumming  <murrayc@murrayc.com>

	Wrapped some GList* return types as ListHandles.

2004-03-30  Murray Cumming  <murrayc@murrayc.com>

	* Wrapped some GList* return types as ListHandles.

2004-03-30  Murray Cumming  <murrayc@murrayc.com>

	Added these files, wrapping GdaRow. Added foreach().

2004-03-30  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/row.[hg|ccg]: Added these files, wrapping GdaRow.
	* libgda/src/datamodel.[hg.ccg]: Added foreach().

2004-03-30  Murray Cumming  <murrayc@murrayc.com>

	Wrapped new methods.

2004-03-30  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/serverprovider.hg, datamodel.hg: Wrapped new methods.

2004-03-30  Murray Cumming  <murrayc@murrayc.com>

	Include glibmm_extra_defs rather than the old gtkmm one, to really fix the

2004-03-30  Murray Cumming  <murrayc@murrayc.com>

	* tools/extra_defs_gen/generate_defs.gda.cc: Include glibmm_extra_defs
	rather than the old gtkmm one, to really fix the build.

2004-03-30  Murray Cumming  <murrayc@murrayc.com>

	examples/simple now also builds and works, though it is not yet a real

2004-03-30  Murray Cumming  <murrayc@murrayc.com>

	* examples/simple now also builds and works, though it is not yet
	a real example.

2004-03-29  Murray Cumming  <murrayc@murrayc.com>

	get_gda_params(): Use OWNERSHIP_NONE so that we do not delete parts of the

2004-03-30  Murray Cumming  <murrayc@murrayc.com>

	* libgda/libgdamm/config.cc: get_gda_params(): Use OWNERSHIP_NONE so
	that we do not delete parts of the struct field that we do not own.
	examples/list_data_sources now runs without crashing.

2004-03-29  Murray Cumming  <murrayc@murrayc.com>

	Now uses glibmm 2.4 instead of gtkmm 2.2.

2004-03-29  Murray Cumming  <murrayc@murrayc.com>

	* Now uses glibmm 2.4 instead of gtkmm 2.2.

2004-02-16  Murray Cumming  <murrayc@murrayc.com>

	Renamed the C++ methods to match the C function names, correcting the

2004-02-15  Murray Cumming  <murrayc@murrayc.com>

	* libgda/src/datamodel.hg: Renamed the C++ methods to match the
	C function names, correcting the previous change. The API is not
	stable so we are free to change them to match changes in libgda.

2004-02-13  Murray Cumming  <murrayc@src.gnome.org>

	stuff

2003-12-30  Billy O'Connor  <billyoc@gnuyork.org>

	Changes to is_editable(), is_editing(), begin_edit(), cancel_edit() and

	2003-12-17  Billy O'Connor <billyoc@gnuyork.org>
	* libgda/src/libgda_methods.defs:
	* libgda/src/datamodel.hg: Changes to is_editable(), is_editing(),
	begin_edit(), cancel_edit() and end_edit() wrappers to reflect
	libgda function renames.

2003-11-06  Alexander Nedotsukov  <bland@mail.ru>

	Fixed pkgconfig package dependency and library list.

	2003-11-05  Alexander Nedotsukov <bland@mail.ru>

	* libgda/libgda-2.0.pc.in: Fixed pkgconfig package dependency and
	library list.

2003-10-14  Murray Cumming  <murrayc@src.gnome.org>

	Added missing files.

2003-10-12  Murray Cumming  <murrayc@src.gnome.org>

	Removed crap.

2003-10-12  Murray Cumming  <murrayc@usa.net>

	Added wrappers for Client, Config, DataSourceInfo, ProviderInfo, and used

2003-10-05  Murray Cumming  <murrayc@usa.net>

	* Added wrappers for Client, Config, DataSourceInfo, ProviderInfo,
	and used the C++ types in the rest of the API.
	* libgda/libgdamm/init.[h|cc]: Added Gnome::Gda::init() function.
	* Added examples/list_data_sources.

2003-10-01  Murray Cumming  <murrayc@usa.net>

	Use _HEADERS instead of _DATA (I looked at gnome-vfsmm) to fix the dist.

2003-10-01  Murray Cumming  <murrayc@usa.net>

	* libgda/libgdamm/private/Makefile.am: Use _HEADERS instead of
	_DATA (I looked at gnome-vfsmm) to fix the dist. distcheck now
	works.

2003-10-01  Murray Cumming  <murrayc@src.gnome.org>

	Removed some libgnomemm copy-paste typos.

2002-12-10  Murray Cumming  <murrayc@src.gnome.org>

	distribute macros.m4 files.

2002-11-02  Murray Cumming  <murrayc@usa.net>

	Replaced libgnomemm with libgdamm.

2002-11-02  Murray Cumming  <murrayc@usa.net>

	* libgdammconfig.h and init.h: Replaced libgnomemm with
	libgdamm.

2002-10-24  Murray Cumming  <murrayc@src.gnome.org>

	link to 2.0 version of libgtkmm_generate_extra_defs

2002-10-03  Murray Cumming  <murrayc@src.gnome.org>

	Bradley Bell's Makefile.am fixes to distribute the tools/m4/Makefile.am_fragment files.

2002-07-20  Murray Cumming  <murrayc@usa.net>

	wrapped a few more functions.

2002-07-20  Murray Cumming  <murrayc@usa.net>

	* Connection, DataModel: wrapped a few more functions.

2002-07-17  Murray Cumming  <murrayc@usa.net>

	We don't need to specify the _vfunc suffixes now - gtkmmproc adds them for

2002-07-17  Murray Cumming  <murrayc@usa.net>

	* DataModel: We don't need to specify the _vfunc suffixes now -
	gtkmmproc adds them for us.

2002-07-06  Murray Cumming  <murrayc@usa.net>

	Added Transaction wrapper, used in Connection methods.

2002-07-06  Murray Cumming  <murrayc@usa.net>

	* Added Transaction wrapper, used in Connection methods.

2002-05-03  Murray Cumming  <murrayc@usa.net>

	Revised build files so that they are like the other gnomemm projects -

2002-05-03  Murray Cumming  <murrayc@usa.net>

	* Revised build files so that they are like the other gnomemm
	projects - this means that generated source is now distributed.
	* Updated libgda_methods.defs and libgda_enums.defs for the libgda
	HEAD branch refactoring. It now builds against libgda HEAD.

2002-04-19  Muray Cumming  <murrayc@usa.net>

	Removed traces of libgnomemm, from which this project was copied when it

2002-04-19  Muray Cumming  <murrayc@usa.net>

	* Removed traces of libgnomemm, from which this project was copied
	when it was first created.

2002-04-19  Murray Cumming  <murrayc@src.gnome.org>

	fixed typo.

2002-04-18  Murray Cumming  <murrayc@src.gnome.org>

	Made Gobject-derived wrappers' constructors protected.

2002-04-17  Murray Cumming  <murrayc@usa.net>

	Make it depend on glibmm rather than gtkmm, although they are both in the

2002-04-17  Murray Cumming  <murrayc@usa.net>

	* Build: Make it depend on glibmm rather than gtkmm, although they
	are both in the same package at the moment.

2002-04-15  Murray Cumming  <murrayc@usa.net>

	:Connection interface, so that people get the general idea. Added

2002-04-15  Murray Cumming  <murrayc@usa.net>

	* Added basic wrappers for GdaError and GdaDataModel, and used
	those C++ types in the Gda::Connection interface, so that
	people get the general idea.
	* Added libgda_vuncs.defs (hand coded) and libgda_enums.defs
	(generated with gtkmm/tools/enums.pl)

2002-04-14  Murray Cumming  <murrayc@src.gnome.org>

	Put everything in Gnome::Gda namespace.

2002-04-14  Murray Cumming  <murrayc@src.gnome.org>

	first libgdamm files.

2002-04-14  Murray Cumming  <murrayc@src.gnome.org>

	First libgdamm files.

